/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Feb 5 07:57:08 CET 2018         */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2722z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2731z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2733z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2574z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2738z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31412ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2743z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2748z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2588z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2592z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2756z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2758z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2599z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31520ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31707ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31473ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31727ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1400z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1410z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31748ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31676ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1479z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2434z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2440z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2605z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2616z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2456z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2620z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2460z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2631z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2636z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31402ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2641z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2484z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2649z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2488z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2654z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2497z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2663z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2668z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2678z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_symbol2688z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2695z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31620ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31444ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31539ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static BgL_ev_listz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_orz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31686ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2506z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1398z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2524z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2529z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2701z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2707z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2545z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_gotoz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2712z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2718z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2502z00zz__evaluate_typesz00,
		BgL_bgl_string2502za700za7za7_2760za7, "args", 4);
	      DEFINE_STRING(BGl_string2507z00zz__evaluate_typesz00,
		BgL_bgl_string2507za700za7za7_2761za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2512z00zz__evaluate_typesz00,
		BgL_bgl_string2512za700za7za7_2762za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72763za7,
		BGl_z62zc3anonymousza31402ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2517z00zz__evaluate_typesz00,
		BgL_bgl_string2517za700za7za7_2764za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1400za7622765z00,
		BGl_z62lambda1400z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1398za7622766z00,
		BGl_z62lambda1398z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2521z00zz__evaluate_typesz00,
		BgL_bgl_string2521za700za7za7_2767za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1418za7622768z00,
		BGl_z62lambda1418z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1417za7622769z00,
		BGl_z62lambda1417z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2525z00zz__evaluate_typesz00,
		BgL_bgl_string2525za700za7za7_2770za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1753za7622771z00,
		BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1752za7622772z00,
		BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1758za7622773z00,
		BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1757za7622774z00,
		BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72775za7,
		BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2530z00zz__evaluate_typesz00,
		BgL_bgl_string2530za700za7za7_2776za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1426za7622777z00,
		BGl_z62lambda1426z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1425za7622778z00,
		BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622779z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1766za7622780z00,
		BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1432za7622781z00,
		BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2537z00zz__evaluate_typesz00,
		BgL_bgl_string2537za700za7za7_2782za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1772za7622783z00,
		BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622784z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1431za7622785z00,
		BGl_z62lambda1431z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72786za7,
		BGl_z62zc3anonymousza31748ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1746za7622787z00,
		BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2702z00zz__evaluate_typesz00,
		BgL_bgl_string2702za700za7za7_2788za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1744za7622789z00,
		BGl_z62lambda1744z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72790za7,
		BGl_z62zc3anonymousza31412ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1410za7622791z00,
		BGl_z62lambda1410z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2542z00zz__evaluate_typesz00,
		BgL_bgl_string2542za700za7za7_2792za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1408za7622793z00,
		BGl_z62lambda1408z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1788za7622794z00,
		BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1787za7622795z00,
		BGl_z62lambda1787z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1450za7622796z00,
		BGl_z62lambda1450z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2708z00zz__evaluate_typesz00,
		BgL_bgl_string2708za700za7za7_2797za7, "tail?", 5);
	      DEFINE_STRING(BGl_string2546z00zz__evaluate_typesz00,
		BgL_bgl_string2546za700za7za7_2798za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1449za7622799z00,
		BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1795za7622800z00,
		BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1794za7622801z00,
		BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1456za7622802z00,
		BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1455za7622803z00,
		BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2713z00zz__evaluate_typesz00,
		BgL_bgl_string2713za700za7za7_2804za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622805z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2551z00zz__evaluate_typesz00,
		BgL_bgl_string2551za700za7za7_2806za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1461za7622807z00,
		BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1800za7622808z00,
		BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1460za7622809z00,
		BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72810za7,
		BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1781za7622811z00,
		BGl_z62lambda1781z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72812za7,
		BGl_z62zc3anonymousza31444ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1442za7622813z00,
		BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2719z00zz__evaluate_typesz00,
		BgL_bgl_string2719za700za7za7_2814za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622815z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1440za7622816z00,
		BGl_z62lambda1440z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72817za7,
		BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1821za7622818z00,
		BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1820za7622819z00,
		BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1479za7622820z00,
		BGl_z62lambda1479z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2723z00zz__evaluate_typesz00,
		BgL_bgl_string2723za700za7za7_2821za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1478za7622822z00,
		BGl_z62lambda1478z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2823za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72824za7,
		BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1810za7622825z00,
		BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72826za7,
		BGl_z62zc3anonymousza31473ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1470za7622827z00,
		BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1468za7622828z00,
		BGl_z62lambda1468z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2829za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1807za7622830z00,
		BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72831za7,
		BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1844za7622832z00,
		BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1495za7622833z00,
		BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2732z00zz__evaluate_typesz00,
		BgL_bgl_string2732za700za7za7_2834za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1843za7622835z00,
		BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622836z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72837za7,
		BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2571z00zz__evaluate_typesz00,
		BgL_bgl_string2571za700za7za7_2838za7, "var", 3);
	      DEFINE_STRING(BGl_string2734z00zz__evaluate_typesz00,
		BgL_bgl_string2734za700za7za7_2839za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1835za7622840z00,
		BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1831za7622841z00,
		BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1500za7622842z00,
		BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1499za7622843z00,
		BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2575z00zz__evaluate_typesz00,
		BgL_bgl_string2575za700za7za7_2844za7, "body", 4);
	      DEFINE_STRING(BGl_string2739z00zz__evaluate_typesz00,
		BgL_bgl_string2739za700za7za7_2845za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2651z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72846za7,
		BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1856za7622847z00,
		BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622848z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622849z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1505za7622850z00,
		BGl_z62lambda1505z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2851za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622852z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72853za7,
		BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2744z00zz__evaluate_typesz00,
		BgL_bgl_string2744za700za7za7_2854za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622855z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1487za7622856z00,
		BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622857z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622858z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1877za7622859z00,
		BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1525za7622860z00,
		BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2749z00zz__evaluate_typesz00,
		BgL_bgl_string2749za700za7za7_2861za7, "inner", 5);
	      DEFINE_STRING(BGl_string2589z00zz__evaluate_typesz00,
		BgL_bgl_string2589za700za7za7_2862za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72863za7,
		BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1884za7622864z00,
		BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1883za7622865z00,
		BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72866za7,
		BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1891za7622867z00,
		BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1890za7622868z00,
		BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2593z00zz__evaluate_typesz00,
		BgL_bgl_string2593za700za7za7_2869za7, "handler", 7);
	      DEFINE_STRING(BGl_string2757z00zz__evaluate_typesz00,
		BgL_bgl_string2757za700za7za7_2870za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string2759z00zz__evaluate_typesz00,
		BgL_bgl_string2759za700za7za7_2871za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1897za7622872z00,
		BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1896za7622873z00,
		BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72874za7,
		BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1903za7622875z00,
		BGl_z62lambda1903z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1902za7622876z00,
		BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72877za7,
		BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1866za7622878z00,
		BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1864za7622879z00,
		BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622880z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622881z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622882z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622883z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622884z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622885z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1935za7622886z00,
		BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622887z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72888za7,
		BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622889z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1911za7622890z00,
		BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622891z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622892z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622893z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1524za7622894z00,
		BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72895za7,
		BGl_z62zc3anonymousza31520ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1517za7622896z00,
		BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1514za7622897z00,
		BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72898za7,
		BGl_z62zc3anonymousza31539ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2433z00zz__evaluate_typesz00,
		BgL_bgl_string2433za700za7za7_2899za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1537za7622900z00,
		BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2435z00zz__evaluate_typesz00,
		BgL_bgl_string2435za700za7za7_2901za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2439z00zz__evaluate_typesz00,
		BgL_bgl_string2439za700za7za7_2902za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622903z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2600z00zz__evaluate_typesz00,
		BgL_bgl_string2600za700za7za7_2904za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72905za7,
		BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1548za7622906z00,
		BGl_z62lambda1548z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1546za7622907z00,
		BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2441z00zz__evaluate_typesz00,
		BgL_bgl_string2441za700za7za7_2908za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622909z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2606z00zz__evaluate_typesz00,
		BgL_bgl_string2606za700za7za7_2910za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1570za7622911z00,
		BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2446z00zz__evaluate_typesz00,
		BgL_bgl_string2446za700za7za7_2912za7, "eff", 3);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2913za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1577za7622914z00,
		BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2610z00zz__evaluate_typesz00,
		BgL_bgl_string2610za700za7za7_2915za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622916z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72917za7,
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1562za7622918z00,
		BGl_z62lambda1562z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2452z00zz__evaluate_typesz00,
		BgL_bgl_string2452za700za7za7_2919za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622920z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2617z00zz__evaluate_typesz00,
		BgL_bgl_string2617za700za7za7_2921za7, "ev_synchronize", 14);
	      DEFINE_STRING(BGl_string2457z00zz__evaluate_typesz00,
		BgL_bgl_string2457za700za7za7_2922za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1595za7622923z00,
		BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622924z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72925za7,
		BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2621z00zz__evaluate_typesz00,
		BgL_bgl_string2621za700za7za7_2926za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1586za7622927z00,
		BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1584za7622928z00,
		BGl_z62lambda1584z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2461z00zz__evaluate_typesz00,
		BgL_bgl_string2461za700za7za7_2929za7, "loc", 3);
	      DEFINE_STRING(BGl_string2625z00zz__evaluate_typesz00,
		BgL_bgl_string2625za700za7za7_2930za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72931za7,
		BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1604za7622932z00,
		BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2467z00zz__evaluate_typesz00,
		BgL_bgl_string2467za700za7za7_2933za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622934z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1602za7622935z00,
		BGl_z62lambda1602z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622936z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622937z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7622938z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1629za7622939z00,
		BGl_z62lambda1629z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1968za7622940z00,
		BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1628za7622941z00,
		BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2632z00zz__evaluate_typesz00,
		BgL_bgl_string2632za700za7za7_2942za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72943za7,
		BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72944za7,
		BGl_z62zc3anonymousza31620ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2945za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1617za7622946z00,
		BGl_z62lambda1617z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1614za7622947z00,
		BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2637z00zz__evaluate_typesz00,
		BgL_bgl_string2637za700za7za7_2948za7, "boxes", 5);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2949za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622950z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1943za7622951z00,
		BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622952z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1655za7622953z00,
		BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1984za7622954z00,
		BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1654za7622955z00,
		BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1991za7622956z00,
		BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1660za7622957z00,
		BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1990za7622958z00,
		BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2642z00zz__evaluate_typesz00,
		BgL_bgl_string2642za700za7za7_2959za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1659za7622960z00,
		BGl_z62lambda1659z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1665za7622961z00,
		BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2481z00zz__evaluate_typesz00,
		BgL_bgl_string2481za700za7za7_2962za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1664za7622963z00,
		BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72964za7,
		BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622965z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2485z00zz__evaluate_typesz00,
		BgL_bgl_string2485za700za7za7_2966za7, "p", 1);
	      DEFINE_STRING(BGl_string2489z00zz__evaluate_typesz00,
		BgL_bgl_string2489za700za7za7_2967za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2720z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1996za7622968z00,
		BGl_z62lambda1996z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2721z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1995za7622969z00,
		BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1641za7622970z00,
		BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2001za7622971z00,
		BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2000za7622972z00,
		BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2650z00zz__evaluate_typesz00,
		BgL_bgl_string2650za700za7za7_2973za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72974za7,
		BGl_z62zc3anonymousza31676ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2726z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2006za7622975z00,
		BGl_z62lambda2006z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1674za7622976z00,
		BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2005za7622977z00,
		BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7622978z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72979za7,
		BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2014za7622980z00,
		BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2655z00zz__evaluate_typesz00,
		BgL_bgl_string2655za700za7za7_2981za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1692za7622982z00,
		BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2493z00zz__evaluate_typesz00,
		BgL_bgl_string2493za700za7za7_2983za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1691za7622984z00,
		BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2498z00zz__evaluate_typesz00,
		BgL_bgl_string2498za700za7za7_2985za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2013za7622986z00,
		BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1697za7622987z00,
		BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2735z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72988za7,
		BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1696za7622989z00,
		BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2736z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2022za7622990z00,
		BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2021za7622991z00,
		BGl_z62lambda2021z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72992za7,
		BGl_z62zc3anonymousza31686ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2664z00zz__evaluate_typesz00,
		BgL_bgl_string2664za700za7za7_2993za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1684za7622994z00,
		BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1682za7622995z00,
		BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2669z00zz__evaluate_typesz00,
		BgL_bgl_string2669za700za7za7_2996za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72997za7,
		BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2029za7622998z00,
		BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7622999z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1712za7623000z00,
		BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1711za7623001z00,
		BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2745z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73002za7,
		BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1717za7623003z00,
		BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7623004z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1716za7623005z00,
		BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2747z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7623006z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73007za7,
		BGl_z62zc3anonymousza31707ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1705za7623008z00,
		BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1703za7623009z00,
		BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2679z00zz__evaluate_typesz00,
		BgL_bgl_string2679za700za7za7_3010za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2750z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73011za7,
		BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2751z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7623012z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7623013z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1732za7623014z00,
		BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2753z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73015za7,
		BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7623016z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7623017z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1976za7623018z00,
		BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1738za7623019z00,
		BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1737za7623020z00,
		BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza73021za7,
		BGl_z62zc3anonymousza31727ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1725za7623022z00,
		BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2685z00zz__evaluate_typesz00,
		BgL_bgl_string2685za700za7za7_3023za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1723za7623024z00,
		BGl_z62lambda1723z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2689z00zz__evaluate_typesz00,
		BgL_bgl_string2689za700za7za7_3025za7, "labels", 6);
	      DEFINE_STRING(BGl_string2696z00zz__evaluate_typesz00,
		BgL_bgl_string2696za700za7za7_3026za7, "ev_goto", 7);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2722z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2561z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2566z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2731z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2570z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2733z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2574z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2738z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2579z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2743z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2748z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2588z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2592z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2756z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2758z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2599z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2432z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2434z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2438z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2440z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2605z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2445z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2609z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2447z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2451z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2616z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2456z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2620z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2460z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2624z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2466z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2631z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2471z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2636z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2475z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2641z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2480z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2484z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2649z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2488z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2654z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2492z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2497z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2663z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2668z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2678z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2684z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2688z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2695z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2501z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2506z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2511z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2516z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2520z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2524z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2529z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2536z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2701z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2541z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2707z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2545z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2712z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2550z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2718z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4388, char *BgL_fromz00_4389)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2432z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00);
			BGl_symbol2434z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2435z00zz__evaluate_typesz00);
			BGl_symbol2438z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00);
			BGl_symbol2440z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2441z00zz__evaluate_typesz00);
			BGl_symbol2445z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2451z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00);
			BGl_symbol2456z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2457z00zz__evaluate_typesz00);
			BGl_symbol2460z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2461z00zz__evaluate_typesz00);
			BGl_symbol2466z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2480z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00);
			BGl_symbol2484z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2485z00zz__evaluate_typesz00);
			BGl_symbol2488z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2489z00zz__evaluate_typesz00);
			BGl_symbol2492z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00);
			BGl_symbol2497z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2498z00zz__evaluate_typesz00);
			BGl_symbol2501z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00);
			BGl_symbol2506z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2507z00zz__evaluate_typesz00);
			BGl_symbol2511z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00);
			BGl_symbol2516z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00);
			BGl_symbol2520z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00);
			BGl_symbol2524z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2525z00zz__evaluate_typesz00);
			BGl_symbol2529z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2530z00zz__evaluate_typesz00);
			BGl_symbol2536z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00);
			BGl_symbol2541z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00);
			BGl_symbol2545z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2546z00zz__evaluate_typesz00);
			BGl_symbol2550z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2570z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00);
			BGl_symbol2574z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2575z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2588z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2589z00zz__evaluate_typesz00);
			BGl_symbol2592z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2593z00zz__evaluate_typesz00);
			BGl_symbol2599z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2600z00zz__evaluate_typesz00);
			BGl_symbol2605z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2606z00zz__evaluate_typesz00);
			BGl_symbol2609z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00);
			BGl_symbol2616z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2617z00zz__evaluate_typesz00);
			BGl_symbol2620z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluate_typesz00);
			BGl_symbol2624z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00);
			BGl_symbol2631z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2632z00zz__evaluate_typesz00);
			BGl_symbol2636z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2637z00zz__evaluate_typesz00);
			BGl_symbol2641z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluate_typesz00);
			BGl_symbol2649z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2650z00zz__evaluate_typesz00);
			BGl_symbol2654z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2655z00zz__evaluate_typesz00);
			BGl_symbol2663z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2664z00zz__evaluate_typesz00);
			BGl_symbol2668z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2669z00zz__evaluate_typesz00);
			BGl_symbol2678z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2679z00zz__evaluate_typesz00);
			BGl_symbol2684z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00);
			BGl_symbol2688z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2689z00zz__evaluate_typesz00);
			BGl_symbol2695z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2696z00zz__evaluate_typesz00);
			BGl_symbol2701z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2702z00zz__evaluate_typesz00);
			BGl_symbol2707z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2708z00zz__evaluate_typesz00);
			BGl_symbol2712z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2713z00zz__evaluate_typesz00);
			BGl_symbol2718z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2719z00zz__evaluate_typesz00);
			BGl_symbol2722z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2723z00zz__evaluate_typesz00);
			BGl_symbol2731z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2732z00zz__evaluate_typesz00);
			BGl_symbol2733z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2734z00zz__evaluate_typesz00);
			BGl_symbol2738z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2739z00zz__evaluate_typesz00);
			BGl_symbol2743z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2744z00zz__evaluate_typesz00);
			BGl_symbol2748z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2749z00zz__evaluate_typesz00);
			BGl_symbol2756z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2757z00zz__evaluate_typesz00);
			return (BGl_symbol2758z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2759z00zz__evaluate_typesz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1396z00_1045;
				obj_t BgL_arg1397z00_1046;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1284z00_1056;

					BgL_v1284z00_1056 = create_vector(((long) 0));
					BgL_arg1396z00_1045 = BgL_v1284z00_1056;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1285z00_1057;

					BgL_v1285z00_1057 = create_vector(((long) 0));
					BgL_arg1397z00_1046 = BgL_v1285z00_1057;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2432z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2431z00zz__evaluate_typesz00,
					BGl_proc2430z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BgL_arg1396z00_1045,
					BgL_arg1397z00_1046);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1406z00_1064;
				obj_t BgL_arg1407z00_1065;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1286z00_1078;

					BgL_v1286z00_1078 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1286z00_1078, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00,
							BGl_proc2436z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2440z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1286z00_1078, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00,
							BGl_proc2443z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2442z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1286z00_1078, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2451z00zz__evaluate_typesz00,
							BGl_proc2450z00zz__evaluate_typesz00,
							BGl_proc2449z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1406z00_1064 = BgL_v1286z00_1078;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1287z00_1112;

					BgL_v1287z00_1112 = create_vector(((long) 0));
					BgL_arg1407z00_1065 = BgL_v1287z00_1112;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2456z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2455z00zz__evaluate_typesz00,
					BGl_proc2454z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2453z00zz__evaluate_typesz00, BFALSE, BgL_arg1406z00_1064,
					BgL_arg1407z00_1065);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1438z00_1119;
				obj_t BgL_arg1439z00_1120;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1288z00_1133;

					BgL_v1288z00_1133 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1288z00_1133, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2459z00zz__evaluate_typesz00,
							BGl_proc2458z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1288z00_1133, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2438z00zz__evaluate_typesz00,
							BGl_proc2463z00zz__evaluate_typesz00,
							BGl_proc2462z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2440z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1288z00_1133, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2466z00zz__evaluate_typesz00,
							BGl_proc2465z00zz__evaluate_typesz00,
							BGl_proc2464z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1438z00_1119 = BgL_v1288z00_1133;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1289z00_1164;

					BgL_v1289z00_1164 = create_vector(((long) 0));
					BgL_arg1439z00_1120 = BgL_v1289z00_1164;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2471z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2470z00zz__evaluate_typesz00,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BgL_arg1438z00_1119,
					BgL_arg1439z00_1120);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1466z00_1171;
				obj_t BgL_arg1467z00_1172;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1290z00_1183;

					BgL_v1290z00_1183 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1290z00_1183, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1466z00_1171 = BgL_v1290z00_1183;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1291z00_1194;

					BgL_v1291z00_1194 = create_vector(((long) 0));
					BgL_arg1467z00_1172 = BgL_v1291z00_1194;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2480z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2479z00zz__evaluate_typesz00,
					BGl_proc2478z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1466z00_1171,
					BgL_arg1467z00_1172);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1483z00_1201;
				obj_t BgL_arg1484z00_1202;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1292z00_1215;

					BgL_v1292z00_1215 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1292z00_1215, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2484z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00,
							BGl_proc2482z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1292z00_1215, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2488z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1292z00_1215, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2492z00zz__evaluate_typesz00,
							BGl_proc2491z00zz__evaluate_typesz00,
							BGl_proc2490z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1483z00_1201 = BgL_v1292z00_1215;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1293z00_1246;

					BgL_v1293z00_1246 = create_vector(((long) 0));
					BgL_arg1484z00_1202 = BgL_v1293z00_1246;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2497z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2496z00zz__evaluate_typesz00,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE, BgL_arg1483z00_1201,
					BgL_arg1484z00_1202);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1510z00_1253;
				obj_t BgL_arg1513z00_1254;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1294z00_1265;

					BgL_v1294z00_1265 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1294z00_1265, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1510z00_1253 = BgL_v1294z00_1265;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1295z00_1276;

					BgL_v1295z00_1276 = create_vector(((long) 0));
					BgL_arg1513z00_1254 = BgL_v1295z00_1276;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2506z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2505z00zz__evaluate_typesz00,
					BGl_proc2504z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2503z00zz__evaluate_typesz00, BFALSE, BgL_arg1510z00_1253,
					BgL_arg1513z00_1254);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1530z00_1283;
				obj_t BgL_arg1532z00_1284;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1296z00_1295;

					BgL_v1296z00_1295 = create_vector(((long) 0));
					BgL_arg1530z00_1283 = BgL_v1296z00_1295;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1297z00_1296;

					BgL_v1297z00_1296 = create_vector(((long) 0));
					BgL_arg1532z00_1284 = BgL_v1297z00_1296;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2511z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2510z00zz__evaluate_typesz00,
					BGl_proc2509z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BgL_arg1530z00_1283,
					BgL_arg1532z00_1284);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1544z00_1303;
				obj_t BgL_arg1545z00_1304;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1298z00_1315;

					BgL_v1298z00_1315 = create_vector(((long) 0));
					BgL_arg1544z00_1303 = BgL_v1298z00_1315;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1299z00_1316;

					BgL_v1299z00_1316 = create_vector(((long) 0));
					BgL_arg1545z00_1304 = BgL_v1299z00_1316;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2516z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2515z00zz__evaluate_typesz00,
					BGl_proc2514z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE, BgL_arg1544z00_1303,
					BgL_arg1545z00_1304);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1558z00_1323;
				obj_t BgL_arg1559z00_1324;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1300z00_1336;

					BgL_v1300z00_1336 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1300z00_1336, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2519z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1300z00_1336, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00,
							BGl_proc2522z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1558z00_1323 = BgL_v1300z00_1336;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1301z00_1357;

					BgL_v1301z00_1357 = create_vector(((long) 0));
					BgL_arg1559z00_1324 = BgL_v1301z00_1357;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2529z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2528z00zz__evaluate_typesz00,
					BGl_proc2527z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2526z00zz__evaluate_typesz00, BFALSE, BgL_arg1558z00_1323,
					BgL_arg1559z00_1324);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1582z00_1364;
				obj_t BgL_arg1583z00_1365;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1302z00_1376;

					BgL_v1302z00_1376 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1302z00_1376, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2492z00zz__evaluate_typesz00,
							BGl_proc2532z00zz__evaluate_typesz00,
							BGl_proc2531z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1582z00_1364 = BgL_v1302z00_1376;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1303z00_1387;

					BgL_v1303z00_1387 = create_vector(((long) 0));
					BgL_arg1583z00_1365 = BgL_v1303z00_1387;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2536z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2535z00zz__evaluate_typesz00,
					BGl_proc2534z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2533z00zz__evaluate_typesz00, BFALSE, BgL_arg1582z00_1364,
					BgL_arg1583z00_1365);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1600z00_1394;
				obj_t BgL_arg1601z00_1395;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1304z00_1406;

					BgL_v1304z00_1406 = create_vector(((long) 0));
					BgL_arg1600z00_1394 = BgL_v1304z00_1406;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1305z00_1407;

					BgL_v1305z00_1407 = create_vector(((long) 0));
					BgL_arg1601z00_1395 = BgL_v1305z00_1407;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2541z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2540z00zz__evaluate_typesz00,
					BGl_proc2539z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1600z00_1394,
					BgL_arg1601z00_1395);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1611z00_1414;
				obj_t BgL_arg1613z00_1415;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1306z00_1427;

					BgL_v1306z00_1427 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1306z00_1427, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2545z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1611z00_1414 = BgL_v1306z00_1427;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1307z00_1438;

					BgL_v1307z00_1438 = create_vector(((long) 0));
					BgL_arg1613z00_1415 = BgL_v1307z00_1438;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2550z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2549z00zz__evaluate_typesz00,
					BGl_proc2548z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2547z00zz__evaluate_typesz00, BFALSE, BgL_arg1611z00_1414,
					BgL_arg1613z00_1415);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1639z00_1445;
				obj_t BgL_arg1640z00_1446;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1308z00_1460;

					BgL_v1308z00_1460 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1308z00_1460, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2553z00zz__evaluate_typesz00,
							BGl_proc2552z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1308z00_1460, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2438z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00,
							BGl_proc2554z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2440z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1308z00_1460, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2466z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1639z00_1445 = BgL_v1308z00_1460;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1309z00_1491;

					BgL_v1309z00_1491 = create_vector(((long) 0));
					BgL_arg1640z00_1446 = BgL_v1309z00_1491;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2561z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2560z00zz__evaluate_typesz00,
					BGl_proc2559z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2558z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_1445,
					BgL_arg1640z00_1446);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1669z00_1498;
				obj_t BgL_arg1670z00_1499;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1310z00_1513;

					BgL_v1310z00_1513 = create_vector(((long) 0));
					BgL_arg1669z00_1498 = BgL_v1310z00_1513;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1311z00_1514;

					BgL_v1311z00_1514 = create_vector(((long) 0));
					BgL_arg1670z00_1499 = BgL_v1311z00_1514;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2566z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2565z00zz__evaluate_typesz00,
					BGl_proc2564z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BgL_arg1669z00_1498,
					BgL_arg1670z00_1499);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1680z00_1521;
				obj_t BgL_arg1681z00_1522;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1312z00_1534;

					BgL_v1312z00_1534 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1312z00_1534, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2570z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00,
							BGl_proc2568z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1312z00_1534, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1680z00_1521 = BgL_v1312z00_1534;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1313z00_1555;

					BgL_v1313z00_1555 = create_vector(((long) 0));
					BgL_arg1681z00_1522 = BgL_v1313z00_1555;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2579z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2578z00zz__evaluate_typesz00,
					BGl_proc2577z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2576z00zz__evaluate_typesz00, BFALSE, BgL_arg1680z00_1521,
					BgL_arg1681z00_1522);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1701z00_1562;
				obj_t BgL_arg1702z00_1563;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1314z00_1575;

					BgL_v1314z00_1575 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1314z00_1575, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2492z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1314z00_1575, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1701z00_1562 = BgL_v1314z00_1575;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1315z00_1596;

					BgL_v1315z00_1596 = create_vector(((long) 0));
					BgL_arg1702z00_1563 = BgL_v1315z00_1596;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2588z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2587z00zz__evaluate_typesz00,
					BGl_proc2586z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2585z00zz__evaluate_typesz00, BFALSE, BgL_arg1701z00_1562,
					BgL_arg1702z00_1563);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1721z00_1603;
				obj_t BgL_arg1722z00_1604;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1316z00_1616;

					BgL_v1316z00_1616 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1316z00_1616, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2592z00zz__evaluate_typesz00,
							BGl_proc2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1616, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2595z00zz__evaluate_typesz00,
							BGl_proc2594z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1721z00_1603 = BgL_v1316z00_1616;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1317z00_1637;

					BgL_v1317z00_1637 = create_vector(((long) 0));
					BgL_arg1722z00_1604 = BgL_v1317z00_1637;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2599z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2598z00zz__evaluate_typesz00,
					BGl_proc2597z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2596z00zz__evaluate_typesz00, BFALSE, BgL_arg1721z00_1603,
					BgL_arg1722z00_1604);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1742z00_1644;
				obj_t BgL_arg1743z00_1645;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1318z00_1659;

					BgL_v1318z00_1659 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1318z00_1659, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2602z00zz__evaluate_typesz00,
							BGl_proc2601z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1659, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2605z00zz__evaluate_typesz00,
							BGl_proc2604z00zz__evaluate_typesz00,
							BGl_proc2603z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1659, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2609z00zz__evaluate_typesz00,
							BGl_proc2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1659, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1742z00_1644 = BgL_v1318z00_1659;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1319z00_1700;

					BgL_v1319z00_1700 = create_vector(((long) 0));
					BgL_arg1743z00_1645 = BgL_v1319z00_1700;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2616z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2615z00zz__evaluate_typesz00,
					BGl_proc2614z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2613z00zz__evaluate_typesz00, BFALSE, BgL_arg1742z00_1644,
					BgL_arg1743z00_1645);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1777z00_1707;
				obj_t BgL_arg1778z00_1708;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1320z00_1721;

					BgL_v1320z00_1721 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1320z00_1721, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2620z00zz__evaluate_typesz00,
							BGl_proc2619z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1721, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1721, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1777z00_1707 = BgL_v1320z00_1721;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1321z00_1752;

					BgL_v1321z00_1752 = create_vector(((long) 0));
					BgL_arg1778z00_1708 = BgL_v1321z00_1752;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2631z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2630z00zz__evaluate_typesz00,
					BGl_proc2629z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2628z00zz__evaluate_typesz00, BFALSE, BgL_arg1777z00_1707,
					BgL_arg1778z00_1708);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1805z00_1759;
				obj_t BgL_arg1806z00_1760;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1322z00_1774;

					BgL_v1322z00_1774 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1322z00_1774, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2633z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1805z00_1759 = BgL_v1322z00_1774;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1323z00_1788;

					BgL_v1323z00_1788 = create_vector(((long) 0));
					BgL_arg1806z00_1760 = BgL_v1323z00_1788;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2641z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2640z00zz__evaluate_typesz00,
					BGl_proc2639z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2638z00zz__evaluate_typesz00, BFALSE, BgL_arg1805z00_1759,
					BgL_arg1806z00_1760);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1827z00_1795;
				obj_t BgL_arg1830z00_1796;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1324z00_1810;

					BgL_v1324z00_1810 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1324z00_1810, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2643z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1827z00_1795 = BgL_v1324z00_1810;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1325z00_1824;

					BgL_v1325z00_1824 = create_vector(((long) 0));
					BgL_arg1830z00_1796 = BgL_v1325z00_1824;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2649z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2648z00zz__evaluate_typesz00,
					BGl_proc2647z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2646z00zz__evaluate_typesz00, BFALSE, BgL_arg1827z00_1795,
					BgL_arg1830z00_1796);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1852z00_1831;
				obj_t BgL_arg1853z00_1832;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1326z00_1845;

					BgL_v1326z00_1845 = create_vector(((long) 0));
					BgL_arg1852z00_1831 = BgL_v1326z00_1845;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1327z00_1846;

					BgL_v1327z00_1846 = create_vector(((long) 0));
					BgL_arg1853z00_1832 = BgL_v1327z00_1846;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2654z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2653z00zz__evaluate_typesz00,
					BGl_proc2652z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2651z00zz__evaluate_typesz00, BFALSE, BgL_arg1852z00_1831,
					BgL_arg1853z00_1832);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1862z00_1853;
				obj_t BgL_arg1863z00_1854;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1328z00_1870;

					BgL_v1328z00_1870 = create_vector(((long) 6));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2620z00zz__evaluate_typesz00,
							BGl_proc2657z00zz__evaluate_typesz00,
							BGl_proc2656z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2624z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2663z00zz__evaluate_typesz00,
							BGl_proc2662z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2660z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2668z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00,
							BGl_proc2666z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2665z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1328z00_1870, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2672z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1862z00_1853 = BgL_v1328z00_1870;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1329z00_1940;

					BgL_v1329z00_1940 = create_vector(((long) 0));
					BgL_arg1863z00_1854 = BgL_v1329z00_1940;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2678z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2677z00zz__evaluate_typesz00,
					BGl_proc2676z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2675z00zz__evaluate_typesz00, BFALSE, BgL_arg1862z00_1853,
					BgL_arg1863z00_1854);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1909z00_1947;
				obj_t BgL_arg1910z00_1948;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1330z00_1962;

					BgL_v1330z00_1962 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1330z00_1962, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2681z00zz__evaluate_typesz00,
							BGl_proc2680z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1962, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2684z00zz__evaluate_typesz00,
							BGl_proc2683z00zz__evaluate_typesz00,
							BGl_proc2682z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1962, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2688z00zz__evaluate_typesz00,
							BGl_proc2687z00zz__evaluate_typesz00,
							BGl_proc2686z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1962, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1909z00_1947 = BgL_v1330z00_1962;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1331z00_2003;

					BgL_v1331z00_2003 = create_vector(((long) 0));
					BgL_arg1910z00_1948 = BgL_v1331z00_2003;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2695z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2694z00zz__evaluate_typesz00,
					BGl_proc2693z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2692z00zz__evaluate_typesz00, BFALSE, BgL_arg1909z00_1947,
					BgL_arg1910z00_1948);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1941z00_2010;
				obj_t BgL_arg1942z00_2011;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1332z00_2025;

					BgL_v1332z00_2025 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1332z00_2025, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2698z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2025, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2701z00zz__evaluate_typesz00,
							BGl_proc2700z00zz__evaluate_typesz00,
							BGl_proc2699z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2025, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2501z00zz__evaluate_typesz00,
							BGl_proc2704z00zz__evaluate_typesz00,
							BGl_proc2703z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_2025, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2707z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00,
							BGl_proc2705z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1941z00_2010 = BgL_v1332z00_2025;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1333z00_2066;

					BgL_v1333z00_2066 = create_vector(((long) 0));
					BgL_arg1942z00_2011 = BgL_v1333z00_2066;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2712z00zz__evaluate_typesz00,
					BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2711z00zz__evaluate_typesz00,
					BGl_proc2710z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2709z00zz__evaluate_typesz00, BFALSE, BgL_arg1941z00_2010,
					BgL_arg1942z00_2011);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg1974z00_2073;
				obj_t BgL_arg1975z00_2074;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1334z00_2094;

					BgL_v1334z00_2094 = create_vector(((long) 10));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2460z00zz__evaluate_typesz00,
							BGl_proc2715z00zz__evaluate_typesz00,
							BGl_proc2714z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2718z00zz__evaluate_typesz00,
							BGl_proc2717z00zz__evaluate_typesz00,
							BGl_proc2716z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2722z00zz__evaluate_typesz00,
							BGl_proc2721z00zz__evaluate_typesz00,
							BGl_proc2720z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2620z00zz__evaluate_typesz00,
							BGl_proc2725z00zz__evaluate_typesz00,
							BGl_proc2724z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2727z00zz__evaluate_typesz00,
							BGl_proc2726z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2731z00zz__evaluate_typesz00,
							BGl_proc2730z00zz__evaluate_typesz00,
							BGl_proc2729z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2728z00zz__evaluate_typesz00,
							BGl_symbol2733z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 6),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2738z00zz__evaluate_typesz00,
							BGl_proc2737z00zz__evaluate_typesz00,
							BGl_proc2736z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2735z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 7),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2743z00zz__evaluate_typesz00,
							BGl_proc2742z00zz__evaluate_typesz00,
							BGl_proc2741z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2740z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 8),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2748z00zz__evaluate_typesz00,
							BGl_proc2747z00zz__evaluate_typesz00,
							BGl_proc2746z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2745z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2094, ((long) 9),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2752z00zz__evaluate_typesz00,
							BGl_proc2751z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2750z00zz__evaluate_typesz00,
							BGl_symbol2447z00zz__evaluate_typesz00));
					BgL_arg1974z00_2073 = BgL_v1334z00_2094;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1335z00_2210;

					BgL_v1335z00_2210 = create_vector(((long) 0));
					BgL_arg1975z00_2074 = BgL_v1335z00_2210;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2756z00zz__evaluate_typesz00,
						BGl_symbol2434z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2755z00zz__evaluate_typesz00,
						BGl_proc2754z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2753z00zz__evaluate_typesz00, BFALSE, BgL_arg1974z00_2073,
						BgL_arg1975z00_2074), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1980> */
	obj_t BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3473, obj_t BgL_new1193z00_3474)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_new1193z00_2092;

				{
					BgL_ev_absz00_bglt BgL_auxz00_4655;

					BgL_new1193z00_2092 = ((BgL_ev_absz00_bglt) BgL_new1193z00_3474);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_wherez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_arityz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_varsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4660;

						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL_classz00_3036;

							BgL_classz00_3036 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 122 */
								obj_t BgL__ortest_1283z00_3037;

								BgL__ortest_1283z00_3037 = BGL_CLASS_NIL(BgL_classz00_3036);
								if (CBOOL(BgL__ortest_1283z00_3037))
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4660 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_3037);
									}
								else
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4660 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_3036));
									}
							}
						}
						((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4660), BUNSPEC);
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->
							BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_bindz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_freez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_innerz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1193z00_2092))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4655 = BgL_new1193z00_2092;
					return ((obj_t) BgL_auxz00_4655);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1978 */
	BgL_ev_absz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3475)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1192z00_3951;

				BgL_new1192z00_3951 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg1979z00_3952;

					{	/* Eval/evaluate_types.scm 122 */
						long BgL_res2380z00_3953;

						BgL_res2380z00_3953 =
							BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
						BgL_arg1979z00_3952 = BgL_res2380z00_3953;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1192z00_3951), BgL_arg1979z00_3952);
				}
				return BgL_new1192z00_3951;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1976 */
	BgL_ev_absz00_bglt BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3476, obj_t BgL_loc1182z00_3477, obj_t BgL_where1183z00_3478,
		obj_t BgL_arity1184z00_3479, obj_t BgL_vars1185z00_3480,
		obj_t BgL_body1186z00_3481, obj_t BgL_siza7e1187za7_3482,
		obj_t BgL_bind1188z00_3483, obj_t BgL_free1189z00_3484,
		obj_t BgL_inner1190z00_3485, obj_t BgL_boxes1191z00_3486)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1187za7_3955;

				BgL_siza7e1187za7_3955 = CINT(BgL_siza7e1187za7_3482);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1246z00_3956;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1245z00_3957;

						BgL_new1245z00_3957 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg1977z00_3958;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2379z00_3959;

								BgL_res2379z00_3959 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg1977z00_3958 = BgL_res2379z00_3959;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1245z00_3957),
								BgL_arg1977z00_3958);
						}
						BgL_new1246z00_3956 = BgL_new1245z00_3957;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_locz00) =
						((obj_t) BgL_loc1182z00_3477), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_wherez00) =
						((obj_t) BgL_where1183z00_3478), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_arityz00) =
						((obj_t) BgL_arity1184z00_3479), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_varsz00) =
						((obj_t) BgL_vars1185z00_3480), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1186z00_3481)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->
							BgL_siza7eza7) = ((int) BgL_siza7e1187za7_3955), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_bindz00) =
						((obj_t) BgL_bind1188z00_3483), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_freez00) =
						((obj_t) BgL_free1189z00_3484), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_innerz00) =
						((obj_t) BgL_inner1190z00_3485), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3956))->BgL_boxesz00) =
						((obj_t) BgL_boxes1191z00_3486), BUNSPEC);
					return BgL_new1246z00_3956;
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2044> */
	obj_t BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3487)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t BgL_envz00_3488,
		obj_t BgL_oz00_3489, obj_t BgL_vz00_3490)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3489)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3490), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3491,
		obj_t BgL_oz00_3492)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3492)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2037> */
	obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3493)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3494,
		obj_t BgL_oz00_3495, obj_t BgL_vz00_3496)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3495)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3496), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t BgL_envz00_3497,
		obj_t BgL_oz00_3498)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3498)))->BgL_innerz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2030> */
	obj_t BGl_z62zc3anonymousza32030ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3499)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3500,
		obj_t BgL_oz00_3501, obj_t BgL_vz00_3502)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3501)))->BgL_freez00) =
				((obj_t) BgL_vz00_3502), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3503,
		obj_t BgL_oz00_3504)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3504)))->BgL_freez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2023> */
	obj_t BGl_z62zc3anonymousza32023ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3505)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda2022 */
	obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3506,
		obj_t BgL_oz00_3507, obj_t BgL_vz00_3508)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3507)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3508), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2021 */
	obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t BgL_envz00_3509,
		obj_t BgL_oz00_3510)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3510)))->BgL_bindz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:2015> */
	obj_t BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3511)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}
		BGL_FUNCTION_END;
	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t BgL_envz00_3512,
		obj_t BgL_oz00_3513, obj_t BgL_vz00_3514)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3969;

				BgL_vz00_3969 = CINT(BgL_vz00_3514);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3513)))->BgL_siza7eza7) =
					((int) BgL_vz00_3969), BUNSPEC);
		}}
		BGL_FUNCTION_END;
	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t BgL_envz00_3515,
		obj_t BgL_oz00_3516)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3516)))->BgL_siza7eza7));
		}
		BGL_FUNCTION_END;
	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t BgL_envz00_3517,
		obj_t BgL_oz00_3518, obj_t BgL_vz00_3519)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3518)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3519)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2005 */
	BgL_ev_exprz00_bglt BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3520, obj_t BgL_oz00_3521)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3521)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3523)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3524), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3525,
		obj_t BgL_oz00_3526)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3526)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t BgL_envz00_3527,
		obj_t BgL_oz00_3528, obj_t BgL_vz00_3529)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3528)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3529), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3530,
		obj_t BgL_oz00_3531)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3531)))->BgL_arityz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533, obj_t BgL_vz00_3534)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3533)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3534), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3535,
		obj_t BgL_oz00_3536)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3536)))->BgL_wherez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3537,
		obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3538)))->BgL_locz00) =
				((obj_t) BgL_vz00_3539), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3540,
		obj_t BgL_oz00_3541)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3541)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1948> */
	obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3542, obj_t BgL_new1180z00_3543)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_new1180z00_2023;

				{
					BgL_ev_appz00_bglt BgL_auxz00_4740;

					BgL_new1180z00_2023 = ((BgL_ev_appz00_bglt) BgL_new1180z00_3543);
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1180z00_2023))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4742;

						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL_classz00_3011;

							BgL_classz00_3011 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 119 */
								obj_t BgL__ortest_1283z00_3012;

								BgL__ortest_1283z00_3012 = BGL_CLASS_NIL(BgL_classz00_3011);
								if (CBOOL(BgL__ortest_1283z00_3012))
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4742 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_3012);
									}
								else
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4742 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_3011));
									}
							}
						}
						((((BgL_ev_appz00_bglt) COBJECT(BgL_new1180z00_2023))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4742), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1180z00_2023))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_appz00_bglt) COBJECT(BgL_new1180z00_2023))->
							BgL_tailzf3zf3) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4740 = BgL_new1180z00_2023;
					return ((obj_t) BgL_auxz00_4740);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1946 */
	BgL_ev_appz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3544)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1179z00_3985;

				BgL_new1179z00_3985 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1947z00_3986;

					{	/* Eval/evaluate_types.scm 119 */
						long BgL_res2378z00_3987;

						BgL_res2378z00_3987 =
							BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
						BgL_arg1947z00_3986 = BgL_res2378z00_3987;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1179z00_3985), BgL_arg1947z00_3986);
				}
				return BgL_new1179z00_3985;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1943 */
	BgL_ev_appz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3545, obj_t BgL_loc1175z00_3546, obj_t BgL_fun1176z00_3547,
		obj_t BgL_args1177z00_3548, obj_t BgL_tailzf31178zf3_3549)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1243z00_3989;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1242z00_3990;

					BgL_new1242z00_3990 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1945z00_3991;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2377z00_3992;

							BgL_res2377z00_3992 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1945z00_3991 = BgL_res2377z00_3992;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_3990), BgL_arg1945z00_3991);
					}
					BgL_new1243z00_3989 = BgL_new1242z00_3990;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_3989))->BgL_locz00) =
					((obj_t) BgL_loc1175z00_3546), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_3989))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1176z00_3547)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_3989))->BgL_argsz00) =
					((obj_t) BgL_args1177z00_3548), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_3989))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31178zf3_3549), BUNSPEC);
				return BgL_new1243z00_3989;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1969 */
	obj_t BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t BgL_envz00_3550,
		obj_t BgL_oz00_3551, obj_t BgL_vz00_3552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3551)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3552), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3553,
		obj_t BgL_oz00_3554)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3554)))->BgL_tailzf3zf3);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3555,
		obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3556)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3557), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3558,
		obj_t BgL_oz00_3559)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3559)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3560,
		obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3561)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3562)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1957 */
	BgL_ev_exprz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3563, obj_t BgL_oz00_3564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3564)))->BgL_funz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3565,
		obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3566)))->BgL_locz00) =
				((obj_t) BgL_vz00_3567), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3568,
		obj_t BgL_oz00_3569)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3569)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1915> */
	obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3570, obj_t BgL_new1173z00_3571)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_new1173z00_1960;

				{
					BgL_ev_gotoz00_bglt BgL_auxz00_4784;

					BgL_new1173z00_1960 = ((BgL_ev_gotoz00_bglt) BgL_new1173z00_3571);
					((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1173z00_1960))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_varz00_bglt BgL_auxz00_4786;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2990;

							BgL_classz00_2990 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1283z00_2991;

								BgL__ortest_1283z00_2991 = BGL_CLASS_NIL(BgL_classz00_2990);
								if (CBOOL(BgL__ortest_1283z00_2991))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4786 =
											((BgL_ev_varz00_bglt) BgL__ortest_1283z00_2991);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4786 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2990));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1173z00_1960))->
								BgL_labelz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_4786), BUNSPEC);
					}
					{
						BgL_ev_labelsz00_bglt BgL_auxz00_4794;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2992;

							BgL_classz00_2992 = BGl_ev_labelsz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1283z00_2993;

								BgL__ortest_1283z00_2993 = BGL_CLASS_NIL(BgL_classz00_2992);
								if (CBOOL(BgL__ortest_1283z00_2993))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4794 =
											((BgL_ev_labelsz00_bglt) BgL__ortest_1283z00_2993);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4794 =
											((BgL_ev_labelsz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2992));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1173z00_1960))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) BgL_auxz00_4794), BUNSPEC);
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1173z00_1960))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4784 = BgL_new1173z00_1960;
					return ((obj_t) BgL_auxz00_4784);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1913 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3572)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1172z00_4007;

				BgL_new1172z00_4007 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1914z00_4008;

					{	/* Eval/evaluate_types.scm 114 */
						long BgL_res2376z00_4009;

						BgL_res2376z00_4009 =
							BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
						BgL_arg1914z00_4008 = BgL_res2376z00_4009;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1172z00_4007), BgL_arg1914z00_4008);
				}
				return BgL_new1172z00_4007;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1911 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3573, obj_t BgL_loc1168z00_3574, obj_t BgL_label1169z00_3575,
		obj_t BgL_labels1170z00_3576, obj_t BgL_args1171z00_3577)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1241z00_4012;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1240z00_4013;

					BgL_new1240z00_4013 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1912z00_4014;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2375z00_4015;

							BgL_res2375z00_4015 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1912z00_4014 = BgL_res2375z00_4015;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_4013), BgL_arg1912z00_4014);
					}
					BgL_new1241z00_4012 = BgL_new1240z00_4013;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4012))->BgL_locz00) =
					((obj_t) BgL_loc1168z00_3574), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4012))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1169z00_3575)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4012))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1170z00_3576)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4012))->BgL_argsz00) =
					((obj_t) BgL_args1171z00_3577), BUNSPEC);
				return BgL_new1241z00_4012;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3578,
		obj_t BgL_oz00_3579, obj_t BgL_vz00_3580)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3579)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3580), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3581,
		obj_t BgL_oz00_3582)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3582)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1930 */
	obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3583,
		obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3584)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3585)),
				BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1929 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3586, obj_t BgL_oz00_3587)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3587)))->BgL_labelsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3588,
		obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3589)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3590)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1924 */
	BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3591, obj_t BgL_oz00_3592)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3592)))->BgL_labelz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3593,
		obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3594)))->BgL_locz00) =
				((obj_t) BgL_vz00_3595), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3596,
		obj_t BgL_oz00_3597)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3597)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1868> */
	obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3598, obj_t BgL_new1166z00_3599)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_new1166z00_1868;

				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4837;

					BgL_new1166z00_1868 = ((BgL_ev_labelsz00_bglt) BgL_new1166z00_3599);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
							BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
							BgL_envz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
							BgL_stkz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4842;

						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL_classz00_2971;

							BgL_classz00_2971 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 106 */
								obj_t BgL__ortest_1283z00_2972;

								BgL__ortest_1283z00_2972 = BGL_CLASS_NIL(BgL_classz00_2971);
								if (CBOOL(BgL__ortest_1283z00_2972))
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4842 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2972);
									}
								else
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4842 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2971));
									}
							}
						}
						((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4842), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1166z00_1868))->
							BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4837 = BgL_new1166z00_1868;
					return ((obj_t) BgL_auxz00_4837);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1866 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3600)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1165z00_4029;

				BgL_new1165z00_4029 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1867z00_4030;

					{	/* Eval/evaluate_types.scm 106 */
						long BgL_res2374z00_4031;

						BgL_res2374z00_4031 =
							BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
						BgL_arg1867z00_4030 = BgL_res2374z00_4031;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1165z00_4029), BgL_arg1867z00_4030);
				}
				return BgL_new1165z00_4029;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1864 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3601, obj_t BgL_vars1159z00_3602, obj_t BgL_vals1160z00_3603,
		obj_t BgL_env1161z00_3604, obj_t BgL_stk1162z00_3605,
		obj_t BgL_body1163z00_3606, obj_t BgL_boxes1164z00_3607)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1239z00_4033;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1238z00_4034;

					BgL_new1238z00_4034 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1865z00_4035;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2373z00_4036;

							BgL_res2373z00_4036 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1865z00_4035 = BgL_res2373z00_4036;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_4034), BgL_arg1865z00_4035);
					}
					BgL_new1239z00_4033 = BgL_new1238z00_4034;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->BgL_varsz00) =
					((obj_t) BgL_vars1159z00_3602), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->BgL_valsz00) =
					((obj_t) BgL_vals1160z00_3603), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->BgL_envz00) =
					((obj_t) BgL_env1161z00_3604), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->BgL_stkz00) =
					((obj_t) BgL_stk1162z00_3605), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1163z00_3606)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4033))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1164z00_3607), BUNSPEC);
				return BgL_new1239z00_4033;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1904> */
	obj_t BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3608)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1903 */
	obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t BgL_envz00_3609,
		obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3610)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3611), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3612,
		obj_t BgL_oz00_3613)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3613)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1897 */
	obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3614,
		obj_t BgL_oz00_3615, obj_t BgL_vz00_3616)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3615)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3616)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1896 */
	BgL_ev_exprz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3617, obj_t BgL_oz00_3618)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3618)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1892> */
	obj_t BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3619)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3620,
		obj_t BgL_oz00_3621, obj_t BgL_vz00_3622)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3621)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3622), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1890 */
	obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3623,
		obj_t BgL_oz00_3624)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3624)))->BgL_stkz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1885> */
	obj_t BGl_z62zc3anonymousza31885ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3625)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3626,
		obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3627)))->BgL_envz00) =
				((obj_t) BgL_vz00_3628), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1883 */
	obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3629,
		obj_t BgL_oz00_3630)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3630)))->BgL_envz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3631,
		obj_t BgL_oz00_3632, obj_t BgL_vz00_3633)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3632)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3633), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1877 */
	obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t BgL_envz00_3634,
		obj_t BgL_oz00_3635)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3635)))->BgL_valsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3636,
		obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3637)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3638), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3639,
		obj_t BgL_oz00_3640)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3640)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1858> */
	obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3641, obj_t BgL_new1157z00_3642)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_new1157z00_1843;

				{
					BgL_ev_letrecz00_bglt BgL_auxz00_4893;

					BgL_new1157z00_1843 = ((BgL_ev_letrecz00_bglt) BgL_new1157z00_3642);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1157z00_1843)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1157z00_1843)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4898;

						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL_classz00_2950;

							BgL_classz00_2950 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 105 */
								obj_t BgL__ortest_1283z00_2951;

								BgL__ortest_1283z00_2951 = BGL_CLASS_NIL(BgL_classz00_2950);
								if (CBOOL(BgL__ortest_1283z00_2951))
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4898 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2951);
									}
								else
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4898 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2950));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1157z00_1843)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4898), BUNSPEC);
					}
					BgL_auxz00_4893 = BgL_new1157z00_1843;
					return ((obj_t) BgL_auxz00_4893);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1856 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3643)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1156z00_4053;

				BgL_new1156z00_4053 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1857z00_4054;

					{	/* Eval/evaluate_types.scm 105 */
						long BgL_res2372z00_4055;

						BgL_res2372z00_4055 =
							BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
						BgL_arg1857z00_4054 = BgL_res2372z00_4055;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1156z00_4053), BgL_arg1857z00_4054);
				}
				return BgL_new1156z00_4053;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1854 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3644, obj_t BgL_vars1152z00_3645, obj_t BgL_vals1153z00_3646,
		obj_t BgL_body1154z00_3647)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1237z00_4057;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1236z00_4058;

					BgL_new1236z00_4058 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1855z00_4059;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2371z00_4060;

							BgL_res2371z00_4060 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1855z00_4059 = BgL_res2371z00_4060;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_4058), BgL_arg1855z00_4059);
					}
					BgL_new1237z00_4057 = BgL_new1236z00_4058;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1237z00_4057)))->BgL_varsz00) =
					((obj_t) BgL_vars1152z00_3645), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1237z00_4057)))->BgL_valsz00) =
					((obj_t) BgL_vals1153z00_3646), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1237z00_4057)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1154z00_3647)),
					BUNSPEC);
				return BgL_new1237z00_4057;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1837> */
	obj_t BGl_z62zc3anonymousza31837ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3648, obj_t BgL_new1150z00_3649)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_new1150z00_1808;

				{
					BgL_ev_letza2za2_bglt BgL_auxz00_4924;

					BgL_new1150z00_1808 = ((BgL_ev_letza2za2_bglt) BgL_new1150z00_3649);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1150z00_1808)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1150z00_1808)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4929;

						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL_classz00_2935;

							BgL_classz00_2935 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 103 */
								obj_t BgL__ortest_1283z00_2936;

								BgL__ortest_1283z00_2936 = BGL_CLASS_NIL(BgL_classz00_2935);
								if (CBOOL(BgL__ortest_1283z00_2936))
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4929 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2936);
									}
								else
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4929 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2935));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1150z00_1808)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4929), BUNSPEC);
					}
					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1150z00_1808))->
							BgL_boxesz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4924 = BgL_new1150z00_1808;
					return ((obj_t) BgL_auxz00_4924);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1835 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3650)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1149z00_4064;

				BgL_new1149z00_4064 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1836z00_4065;

					{	/* Eval/evaluate_types.scm 103 */
						long BgL_res2370z00_4066;

						BgL_res2370z00_4066 =
							BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
						BgL_arg1836z00_4065 = BgL_res2370z00_4066;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1149z00_4064), BgL_arg1836z00_4065);
				}
				return BgL_new1149z00_4064;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1831 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3651, obj_t BgL_vars1145z00_3652, obj_t BgL_vals1146z00_3653,
		obj_t BgL_body1147z00_3654, obj_t BgL_boxes1148z00_3655)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1235z00_4068;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1234z00_4069;

					BgL_new1234z00_4069 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1834z00_4070;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2369z00_4071;

							BgL_res2369z00_4071 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1834z00_4070 = BgL_res2369z00_4071;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1234z00_4069), BgL_arg1834z00_4070);
					}
					BgL_new1235z00_4068 = BgL_new1234z00_4069;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1235z00_4068)))->BgL_varsz00) =
					((obj_t) BgL_vars1145z00_3652), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4068)))->BgL_valsz00) =
					((obj_t) BgL_vals1146z00_3653), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4068)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1147z00_3654)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1235z00_4068))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1148z00_3655), BUNSPEC);
				return BgL_new1235z00_4068;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1845> */
	obj_t BGl_z62zc3anonymousza31845ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3656)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1844 */
	obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3657,
		obj_t BgL_oz00_3658, obj_t BgL_vz00_3659)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3658)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3659), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1843 */
	obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t BgL_envz00_3660,
		obj_t BgL_oz00_3661)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3661)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1812> */
	obj_t BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3662, obj_t BgL_new1143z00_3663)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_new1143z00_1772;

				{
					BgL_ev_letz00_bglt BgL_auxz00_4961;

					BgL_new1143z00_1772 = ((BgL_ev_letz00_bglt) BgL_new1143z00_3663);
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1143z00_1772)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
										BgL_new1143z00_1772)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4966;

						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL_classz00_2919;

							BgL_classz00_2919 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL__ortest_1283z00_2920;

								BgL__ortest_1283z00_2920 = BGL_CLASS_NIL(BgL_classz00_2919);
								if (CBOOL(BgL__ortest_1283z00_2920))
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4966 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2920);
									}
								else
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4966 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2919));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_new1143z00_1772)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4966), BUNSPEC);
					}
					((((BgL_ev_letz00_bglt) COBJECT(BgL_new1143z00_1772))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4961 = BgL_new1143z00_1772;
					return ((obj_t) BgL_auxz00_4961);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1810 */
	BgL_ev_letz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3664)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1142z00_4077;

				BgL_new1142z00_4077 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1811z00_4078;

					{	/* Eval/evaluate_types.scm 101 */
						long BgL_res2368z00_4079;

						BgL_res2368z00_4079 =
							BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
						BgL_arg1811z00_4078 = BgL_res2368z00_4079;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1142z00_4077), BgL_arg1811z00_4078);
				}
				return BgL_new1142z00_4077;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1807 */
	BgL_ev_letz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3665, obj_t BgL_vars1138z00_3666, obj_t BgL_vals1139z00_3667,
		obj_t BgL_body1140z00_3668, obj_t BgL_boxes1141z00_3669)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1233z00_4081;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1232z00_4082;

					BgL_new1232z00_4082 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1809z00_4083;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2367z00_4084;

							BgL_res2367z00_4084 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1809z00_4083 = BgL_res2367z00_4084;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1232z00_4082), BgL_arg1809z00_4083);
					}
					BgL_new1233z00_4081 = BgL_new1232z00_4082;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1233z00_4081)))->BgL_varsz00) =
					((obj_t) BgL_vars1138z00_3666), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4081)))->BgL_valsz00) =
					((obj_t) BgL_vals1139z00_3667), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4081)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1140z00_3668)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1233z00_4081))->BgL_boxesz00) =
					((obj_t) BgL_boxes1141z00_3669), BUNSPEC);
				return BgL_new1233z00_4081;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1822> */
	obj_t BGl_z62zc3anonymousza31822ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3670)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
		BGL_FUNCTION_END;
	}



/* &lambda1821 */
	obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t BgL_envz00_3671,
		obj_t BgL_oz00_3672, obj_t BgL_vz00_3673)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3672)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3673), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1820 */
	obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3674,
		obj_t BgL_oz00_3675)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3675)))->BgL_boxesz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1783> */
	obj_t BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3676, obj_t BgL_new1136z00_3677)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_new1136z00_1719;

				{
					BgL_ev_binderz00_bglt BgL_auxz00_4998;

					BgL_new1136z00_1719 = ((BgL_ev_binderz00_bglt) BgL_new1136z00_3677);
					((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1136z00_1719))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1136z00_1719))->
							BgL_valsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5001;

						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL_classz00_2903;

							BgL_classz00_2903 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 97 */
								obj_t BgL__ortest_1283z00_2904;

								BgL__ortest_1283z00_2904 = BGL_CLASS_NIL(BgL_classz00_2903);
								if (CBOOL(BgL__ortest_1283z00_2904))
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_5001 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2904);
									}
								else
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_5001 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2903));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1136z00_1719))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5001), BUNSPEC);
					}
					BgL_auxz00_4998 = BgL_new1136z00_1719;
					return ((obj_t) BgL_auxz00_4998);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1781 */
	BgL_ev_binderz00_bglt BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3678)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1135z00_4090;

				BgL_new1135z00_4090 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1782z00_4091;

					{	/* Eval/evaluate_types.scm 97 */
						long BgL_res2366z00_4092;

						BgL_res2366z00_4092 =
							BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
						BgL_arg1782z00_4091 = BgL_res2366z00_4092;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1135z00_4090), BgL_arg1782z00_4091);
				}
				return BgL_new1135z00_4090;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1779 */
	BgL_ev_binderz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3679, obj_t BgL_vars1132z00_3680, obj_t BgL_vals1133z00_3681,
		obj_t BgL_body1134z00_3682)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1231z00_4094;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1230z00_4095;

					BgL_new1230z00_4095 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1780z00_4096;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2365z00_4097;

							BgL_res2365z00_4097 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1780z00_4096 = BgL_res2365z00_4097;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_4095), BgL_arg1780z00_4096);
					}
					BgL_new1231z00_4094 = BgL_new1230z00_4095;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4094))->BgL_varsz00) =
					((obj_t) BgL_vars1132z00_3680), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4094))->BgL_valsz00) =
					((obj_t) BgL_vals1133z00_3681), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4094))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1134z00_3682)),
					BUNSPEC);
				return BgL_new1231z00_4094;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3683,
		obj_t BgL_oz00_3684, obj_t BgL_vz00_3685)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3684)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3685)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1800 */
	BgL_ev_exprz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3686, obj_t BgL_oz00_3687)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3687)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1795 */
	obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t BgL_envz00_3688,
		obj_t BgL_oz00_3689, obj_t BgL_vz00_3690)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3689)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3690), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1794 */
	obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3691,
		obj_t BgL_oz00_3692)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3692)))->BgL_valsz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1788 */
	obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3693,
		obj_t BgL_oz00_3694, obj_t BgL_vz00_3695)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3694)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3695), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1787 */
	obj_t BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t BgL_envz00_3696,
		obj_t BgL_oz00_3697)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3697)))->BgL_varsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1748> */
	obj_t BGl_z62zc3anonymousza31748ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3698, obj_t BgL_new1130z00_3699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1130z00_1657;

				{
					BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5036;

					BgL_new1130z00_1657 =
						((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3699);
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1130z00_1657))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5038;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2881;

							BgL_classz00_2881 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1283z00_2882;

								BgL__ortest_1283z00_2882 = BGL_CLASS_NIL(BgL_classz00_2881);
								if (CBOOL(BgL__ortest_1283z00_2882))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5038 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2882);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5038 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2881));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1130z00_1657))->
								BgL_mutexz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5038), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5046;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2883;

							BgL_classz00_2883 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1283z00_2884;

								BgL__ortest_1283z00_2884 = BGL_CLASS_NIL(BgL_classz00_2883);
								if (CBOOL(BgL__ortest_1283z00_2884))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5046 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2884);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5046 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2883));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1130z00_1657))->
								BgL_prelockz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5046), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5054;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2885;

							BgL_classz00_2885 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1283z00_2886;

								BgL__ortest_1283z00_2886 = BGL_CLASS_NIL(BgL_classz00_2885);
								if (CBOOL(BgL__ortest_1283z00_2886))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5054 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2886);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5054 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2885));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1130z00_1657))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5054), BUNSPEC);
					}
					BgL_auxz00_5036 = BgL_new1130z00_1657;
					return ((obj_t) BgL_auxz00_5036);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1746 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3700)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1129z00_4112;

				BgL_new1129z00_4112 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1747z00_4113;

					{	/* Eval/evaluate_types.scm 92 */
						long BgL_res2364z00_4114;

						BgL_res2364z00_4114 =
							BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BgL_arg1747z00_4113 = BgL_res2364z00_4114;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_4112), BgL_arg1747z00_4113);
				}
				return BgL_new1129z00_4112;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1744 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3701, obj_t BgL_loc1125z00_3702, obj_t BgL_mutex1126z00_3703,
		obj_t BgL_prelock1127z00_3704, obj_t BgL_body1128z00_3705)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1229z00_4118;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1228z00_4119;

					BgL_new1228z00_4119 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1745z00_4120;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2363z00_4121;

							BgL_res2363z00_4121 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1745z00_4120 = BgL_res2363z00_4121;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_4119), BgL_arg1745z00_4120);
					}
					BgL_new1229z00_4118 = BgL_new1228z00_4119;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4118))->
						BgL_locz00) = ((obj_t) BgL_loc1125z00_3702), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4118))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1126z00_3703)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4118))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1127z00_3704)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4118))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1128z00_3705)),
					BUNSPEC);
				return BgL_new1229z00_4118;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1772 */
	obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3706,
		obj_t BgL_oz00_3707, obj_t BgL_vz00_3708)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3707)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3708)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1771 */
	BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3709, obj_t BgL_oz00_3710)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3710)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3711,
		obj_t BgL_oz00_3712, obj_t BgL_vz00_3713)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3712)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3713)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1766 */
	BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3714, obj_t BgL_oz00_3715)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3715)))->BgL_prelockz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1758 */
	obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t BgL_envz00_3716,
		obj_t BgL_oz00_3717, obj_t BgL_vz00_3718)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3717)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3718)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1757 */
	BgL_ev_exprz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3719, obj_t BgL_oz00_3720)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3720)))->BgL_mutexz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1753 */
	obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t BgL_envz00_3721,
		obj_t BgL_oz00_3722, obj_t BgL_vz00_3723)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3722)))->BgL_locz00) =
				((obj_t) BgL_vz00_3723), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1752 */
	obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t BgL_envz00_3724,
		obj_t BgL_oz00_3725)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3725)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1727> */
	obj_t BGl_z62zc3anonymousza31727ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3726, obj_t BgL_new1123z00_3727)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1123z00_1614;

				{
					BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5098;

					BgL_new1123z00_1614 =
						((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3727);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5099;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2860;

							BgL_classz00_2860 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1283z00_2861;

								BgL__ortest_1283z00_2861 = BGL_CLASS_NIL(BgL_classz00_2860);
								if (CBOOL(BgL__ortest_1283z00_2861))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5099 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2861);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5099 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2860));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1123z00_1614))->
								BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5099), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5107;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2862;

							BgL_classz00_2862 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1283z00_2863;

								BgL__ortest_1283z00_2863 = BGL_CLASS_NIL(BgL_classz00_2862);
								if (CBOOL(BgL__ortest_1283z00_2863))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5107 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2863);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5107 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2862));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1123z00_1614))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5107), BUNSPEC);
					}
					BgL_auxz00_5098 = BgL_new1123z00_1614;
					return ((obj_t) BgL_auxz00_5098);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1725 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3728)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_4138;

				BgL_new1121z00_4138 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1726z00_4139;

					{	/* Eval/evaluate_types.scm 89 */
						long BgL_res2362z00_4140;

						BgL_res2362z00_4140 =
							BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BgL_arg1726z00_4139 = BgL_res2362z00_4140;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1121z00_4138), BgL_arg1726z00_4139);
				}
				return BgL_new1121z00_4138;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1723 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3729, obj_t BgL_handler1119z00_3730, obj_t BgL_body1120z00_3731)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1227z00_4143;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1226z00_4144;

					BgL_new1226z00_4144 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1724z00_4145;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2361z00_4146;

							BgL_res2361z00_4146 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1724z00_4145 = BgL_res2361z00_4146;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4144), BgL_arg1724z00_4145);
					}
					BgL_new1227z00_4143 = BgL_new1226z00_4144;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1227z00_4143))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1119z00_3730)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1227z00_4143))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1120z00_3731)),
					BUNSPEC);
				return BgL_new1227z00_4143;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1738 */
	obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3732,
		obj_t BgL_oz00_3733, obj_t BgL_vz00_3734)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3733)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3734)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1737 */
	BgL_ev_exprz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3735, obj_t BgL_oz00_3736)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3736)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1732 */
	obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t BgL_envz00_3737,
		obj_t BgL_oz00_3738, obj_t BgL_vz00_3739)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3738)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3739)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1731 */
	BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3740, obj_t BgL_oz00_3741)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3741)))->BgL_handlerz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1707> */
	obj_t BGl_z62zc3anonymousza31707ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3742, obj_t BgL_new1117z00_3743)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1573;

				{
					BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5139;

					BgL_new1117z00_1573 =
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3743);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5140;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2841;

							BgL_classz00_2841 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1283z00_2842;

								BgL__ortest_1283z00_2842 = BGL_CLASS_NIL(BgL_classz00_2841);
								if (CBOOL(BgL__ortest_1283z00_2842))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5140 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2842);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5140 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2841));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1117z00_1573))->
								BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5140), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5148;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2843;

							BgL_classz00_2843 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1283z00_2844;

								BgL__ortest_1283z00_2844 = BGL_CLASS_NIL(BgL_classz00_2843);
								if (CBOOL(BgL__ortest_1283z00_2844))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5148 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2844);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5148 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2843));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1117z00_1573))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5148), BUNSPEC);
					}
					BgL_auxz00_5139 = BgL_new1117z00_1573;
					return ((obj_t) BgL_auxz00_5139);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1705 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t BgL_envz00_3744)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4158;

				BgL_new1115z00_4158 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1706z00_4159;

					{	/* Eval/evaluate_types.scm 86 */
						long BgL_res2360z00_4160;

						BgL_res2360z00_4160 =
							BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BgL_arg1706z00_4159 = BgL_res2360z00_4160;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1115z00_4158), BgL_arg1706z00_4159);
				}
				return BgL_new1115z00_4158;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1703 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3745,
		obj_t BgL_e1113z00_3746, obj_t BgL_body1114z00_3747)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1225z00_4163;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1224z00_4164;

					BgL_new1224z00_4164 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1704z00_4165;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2359z00_4166;

							BgL_res2359z00_4166 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1704z00_4165 = BgL_res2359z00_4166;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_4164), BgL_arg1704z00_4165);
					}
					BgL_new1225z00_4163 = BgL_new1224z00_4164;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1225z00_4163))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1113z00_3746)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1225z00_4163))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1114z00_3747)),
					BUNSPEC);
				return BgL_new1225z00_4163;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1717 */
	obj_t BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t BgL_envz00_3748,
		obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3749)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3750)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1716 */
	BgL_ev_exprz00_bglt BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3751, obj_t BgL_oz00_3752)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3752)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3753,
		obj_t BgL_oz00_3754, obj_t BgL_vz00_3755)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3754)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3755)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1711 */
	BgL_ev_exprz00_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3756, obj_t BgL_oz00_3757)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3757)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1686> */
	obj_t BGl_z62zc3anonymousza31686ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3758, obj_t BgL_new1111z00_3759)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1532;

				{
					BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5180;

					BgL_new1111z00_1532 =
						((BgL_ev_bindzd2exitzd2_bglt) BgL_new1111z00_3759);
					{
						BgL_ev_varz00_bglt BgL_auxz00_5181;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2822;

							BgL_classz00_2822 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1283z00_2823;

								BgL__ortest_1283z00_2823 = BGL_CLASS_NIL(BgL_classz00_2822);
								if (CBOOL(BgL__ortest_1283z00_2823))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5181 =
											((BgL_ev_varz00_bglt) BgL__ortest_1283z00_2823);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5181 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2822));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1111z00_1532))->
								BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5181), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5189;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2824;

							BgL_classz00_2824 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1283z00_2825;

								BgL__ortest_1283z00_2825 = BGL_CLASS_NIL(BgL_classz00_2824);
								if (CBOOL(BgL__ortest_1283z00_2825))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5189 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2825);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5189 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2824));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1111z00_1532))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5189), BUNSPEC);
					}
					BgL_auxz00_5180 = BgL_new1111z00_1532;
					return ((obj_t) BgL_auxz00_5180);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1684 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3760)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4178;

				BgL_new1110z00_4178 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1685z00_4179;

					{	/* Eval/evaluate_types.scm 83 */
						long BgL_res2358z00_4180;

						BgL_res2358z00_4180 =
							BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BgL_arg1685z00_4179 = BgL_res2358z00_4180;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_4178), BgL_arg1685z00_4179);
				}
				return BgL_new1110z00_4178;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1682 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3761, obj_t BgL_var1108z00_3762, obj_t BgL_body1109z00_3763)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1223z00_4183;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1222z00_4184;

					BgL_new1222z00_4184 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1683z00_4185;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2357z00_4186;

							BgL_res2357z00_4186 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1683z00_4185 = BgL_res2357z00_4186;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1222z00_4184), BgL_arg1683z00_4185);
					}
					BgL_new1223z00_4183 = BgL_new1222z00_4184;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1223z00_4183))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1108z00_3762)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1223z00_4183))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1109z00_3763)),
					BUNSPEC);
				return BgL_new1223z00_4183;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3764,
		obj_t BgL_oz00_3765, obj_t BgL_vz00_3766)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3765)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3766)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1696 */
	BgL_ev_exprz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3767, obj_t BgL_oz00_3768)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3768)))->BgL_bodyz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1692 */
	obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t BgL_envz00_3769,
		obj_t BgL_oz00_3770, obj_t BgL_vz00_3771)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3770)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3771)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1691 */
	BgL_ev_varz00_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3772, obj_t BgL_oz00_3773)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3773)))->BgL_varz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1676> */
	obj_t BGl_z62zc3anonymousza31676ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3774, obj_t BgL_new1106z00_3775)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1106z00_1511;

				{
					BgL_ev_defglobalz00_bglt BgL_auxz00_5221;

					BgL_new1106z00_1511 =
						((BgL_ev_defglobalz00_bglt) BgL_new1106z00_3775);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5222;

						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL_classz00_2805;

							BgL_classz00_2805 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL__ortest_1283z00_2806;

								BgL__ortest_1283z00_2806 = BGL_CLASS_NIL(BgL_classz00_2805);
								if (CBOOL(BgL__ortest_1283z00_2806))
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5222 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2806);
									}
								else
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5222 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2805));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1106z00_1511)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5222), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) COBJECT(
									((BgL_ev_setglobalz00_bglt) BgL_new1106z00_1511)))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
										BgL_new1106z00_1511)))->BgL_namez00) =
						((obj_t) BGl_symbol2758z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
										BgL_new1106z00_1511)))->BgL_modz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5221 = BgL_new1106z00_1511;
					return ((obj_t) BgL_auxz00_5221);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1674 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3776)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1105z00_4196;

				BgL_new1105z00_4196 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1675z00_4197;

					{	/* Eval/evaluate_types.scm 82 */
						long BgL_res2356z00_4198;

						BgL_res2356z00_4198 =
							BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BgL_arg1675z00_4197 = BgL_res2356z00_4198;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1105z00_4196), BgL_arg1675z00_4197);
				}
				return BgL_new1105z00_4196;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1671 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3777, obj_t BgL_e1101z00_3778, obj_t BgL_loc1102z00_3779,
		obj_t BgL_name1103z00_3780, obj_t BgL_mod1104z00_3781)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1221z00_4201;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1220z00_4202;

					BgL_new1220z00_4202 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1673z00_4203;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2355z00_4204;

							BgL_res2355z00_4204 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1673z00_4203 = BgL_res2355z00_4204;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1220z00_4202), BgL_arg1673z00_4203);
					}
					BgL_new1221z00_4201 = BgL_new1220z00_4202;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1221z00_4201)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1101z00_3778)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4201)))->BgL_locz00) =
					((obj_t) BgL_loc1102z00_3779), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4201)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1103z00_3780)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4201)))->BgL_modz00) =
					((obj_t) BgL_mod1104z00_3781), BUNSPEC);
				return BgL_new1221z00_4201;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1645> */
	obj_t BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3782, obj_t BgL_new1099z00_3783)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1099z00_1458;

				{
					BgL_ev_setglobalz00_bglt BgL_auxz00_5257;

					BgL_new1099z00_1458 =
						((BgL_ev_setglobalz00_bglt) BgL_new1099z00_3783);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5258;

						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL_classz00_2790;

							BgL_classz00_2790 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL__ortest_1283z00_2791;

								BgL__ortest_1283z00_2791 = BGL_CLASS_NIL(BgL_classz00_2790);
								if (CBOOL(BgL__ortest_1283z00_2791))
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5258 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2791);
									}
								else
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5258 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2790));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1099z00_1458)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5258), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1099z00_1458))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1099z00_1458))->
							BgL_namez00) =
						((obj_t) BGl_symbol2758z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1099z00_1458))->
							BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5257 = BgL_new1099z00_1458;
					return ((obj_t) BgL_auxz00_5257);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1643 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3784)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1098z00_4208;

				BgL_new1098z00_4208 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1644z00_4209;

					{	/* Eval/evaluate_types.scm 78 */
						long BgL_res2354z00_4210;

						BgL_res2354z00_4210 =
							BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BgL_arg1644z00_4209 = BgL_res2354z00_4210;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1098z00_4208), BgL_arg1644z00_4209);
				}
				return BgL_new1098z00_4208;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1641 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3785, obj_t BgL_e1094z00_3786, obj_t BgL_loc1095z00_3787,
		obj_t BgL_name1096z00_3788, obj_t BgL_mod1097z00_3789)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1219z00_4213;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1218z00_4214;

					BgL_new1218z00_4214 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1642z00_4215;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2353z00_4216;

							BgL_res2353z00_4216 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1642z00_4215 = BgL_res2353z00_4216;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1218z00_4214), BgL_arg1642z00_4215);
					}
					BgL_new1219z00_4213 = BgL_new1218z00_4214;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1219z00_4213)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1094z00_3786)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4213))->
						BgL_locz00) = ((obj_t) BgL_loc1095z00_3787), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4213))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1096z00_3788)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4213))->
						BgL_modz00) = ((obj_t) BgL_mod1097z00_3789), BUNSPEC);
				return BgL_new1219z00_4213;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1665 */
	obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t BgL_envz00_3790,
		obj_t BgL_oz00_3791, obj_t BgL_vz00_3792)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3791)))->BgL_modz00) =
				((obj_t) BgL_vz00_3792), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1664 */
	obj_t BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t BgL_envz00_3793,
		obj_t BgL_oz00_3794)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3794)))->BgL_modz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1660 */
	obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t BgL_envz00_3795,
		obj_t BgL_oz00_3796, obj_t BgL_vz00_3797)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3796)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3797)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1659 */
	obj_t BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t BgL_envz00_3798,
		obj_t BgL_oz00_3799)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3799)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1655 */
	obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3800,
		obj_t BgL_oz00_3801, obj_t BgL_vz00_3802)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3801)))->BgL_locz00) =
				((obj_t) BgL_vz00_3802), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1654 */
	obj_t BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t BgL_envz00_3803,
		obj_t BgL_oz00_3804)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3804)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1620> */
	obj_t BGl_z62zc3anonymousza31620ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3805, obj_t BgL_new1092z00_3806)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1092z00_1425;

				{
					BgL_ev_setlocalz00_bglt BgL_auxz00_5300;

					BgL_new1092z00_1425 = ((BgL_ev_setlocalz00_bglt) BgL_new1092z00_3806);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5301;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2770;

							BgL_classz00_2770 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1283z00_2771;

								BgL__ortest_1283z00_2771 = BGL_CLASS_NIL(BgL_classz00_2770);
								if (CBOOL(BgL__ortest_1283z00_2771))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5301 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2771);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5301 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2770));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1092z00_1425)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5301), BUNSPEC);
					}
					{
						BgL_ev_varz00_bglt BgL_auxz00_5310;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2772;

							BgL_classz00_2772 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1283z00_2773;

								BgL__ortest_1283z00_2773 = BGL_CLASS_NIL(BgL_classz00_2772);
								if (CBOOL(BgL__ortest_1283z00_2773))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5310 =
											((BgL_ev_varz00_bglt) BgL__ortest_1283z00_2773);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5310 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2772));
									}
							}
						}
						((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1092z00_1425))->
								BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5310), BUNSPEC);
					}
					BgL_auxz00_5300 = BgL_new1092z00_1425;
					return ((obj_t) BgL_auxz00_5300);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1617 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3807)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1091z00_4229;

				BgL_new1091z00_4229 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1619z00_4230;

					{	/* Eval/evaluate_types.scm 76 */
						long BgL_res2352z00_4231;

						BgL_res2352z00_4231 =
							BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BgL_arg1619z00_4230 = BgL_res2352z00_4231;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1091z00_4229), BgL_arg1619z00_4230);
				}
				return BgL_new1091z00_4229;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1614 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3808, obj_t BgL_e1089z00_3809, obj_t BgL_v1090z00_3810)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1217z00_4234;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1216z00_4235;

					BgL_new1216z00_4235 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1616z00_4236;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2351z00_4237;

							BgL_res2351z00_4237 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1616z00_4236 = BgL_res2351z00_4237;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1216z00_4235), BgL_arg1616z00_4236);
					}
					BgL_new1217z00_4234 = BgL_new1216z00_4235;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1217z00_4234)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1089z00_3809)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1217z00_4234))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1090z00_3810)),
					BUNSPEC);
				return BgL_new1217z00_4234;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1629 */
	obj_t BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t BgL_envz00_3811,
		obj_t BgL_oz00_3812, obj_t BgL_vz00_3813)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3812)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3813)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1628 */
	BgL_ev_varz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3814, obj_t BgL_oz00_3815)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3815)))->BgL_vz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1606> */
	obj_t BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3816, obj_t BgL_new1087z00_3817)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_1404;

				{
					BgL_ev_trapz00_bglt BgL_auxz00_5338;

					BgL_new1087z00_1404 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3817);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5339;

						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL_classz00_2754;

							BgL_classz00_2754 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL__ortest_1283z00_2755;

								BgL__ortest_1283z00_2755 = BGL_CLASS_NIL(BgL_classz00_2754);
								if (CBOOL(BgL__ortest_1283z00_2755))
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5339 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2755);
									}
								else
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5339 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2754));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt) BgL_new1087z00_1404)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5339), BUNSPEC);
					}
					BgL_auxz00_5338 = BgL_new1087z00_1404;
					return ((obj_t) BgL_auxz00_5338);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1604 */
	BgL_ev_trapz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3818)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1086z00_4244;

				BgL_new1086z00_4244 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1605z00_4245;

					{	/* Eval/evaluate_types.scm 75 */
						long BgL_res2350z00_4246;

						BgL_res2350z00_4246 =
							BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
						BgL_arg1605z00_4245 = BgL_res2350z00_4246;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1086z00_4244), BgL_arg1605z00_4245);
				}
				return BgL_new1086z00_4244;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1602 */
	BgL_ev_trapz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3819, obj_t BgL_e1085z00_3820)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1215z00_4248;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1214z00_4249;

					BgL_new1214z00_4249 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1603z00_4250;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2349z00_4251;

							BgL_res2349z00_4251 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1603z00_4250 = BgL_res2349z00_4251;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1214z00_4249), BgL_arg1603z00_4250);
					}
					BgL_new1215z00_4248 = BgL_new1214z00_4249;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1215z00_4248)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1085z00_3820)),
					BUNSPEC);
				return BgL_new1215z00_4248;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1589> */
	obj_t BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3821, obj_t BgL_new1083z00_3822)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_1374;

				{
					BgL_ev_hookz00_bglt BgL_auxz00_5361;

					BgL_new1083z00_1374 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3822);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5362;

						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL_classz00_2739;

							BgL_classz00_2739 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL__ortest_1283z00_2740;

								BgL__ortest_1283z00_2740 = BGL_CLASS_NIL(BgL_classz00_2739);
								if (CBOOL(BgL__ortest_1283z00_2740))
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5362 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2740);
									}
								else
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5362 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2739));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1083z00_1374))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5362), BUNSPEC);
					}
					BgL_auxz00_5361 = BgL_new1083z00_1374;
					return ((obj_t) BgL_auxz00_5361);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1586 */
	BgL_ev_hookz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3823)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1082z00_4255;

				BgL_new1082z00_4255 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1588z00_4256;

					{	/* Eval/evaluate_types.scm 73 */
						long BgL_res2348z00_4257;

						BgL_res2348z00_4257 =
							BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
						BgL_arg1588z00_4256 = BgL_res2348z00_4257;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1082z00_4255), BgL_arg1588z00_4256);
				}
				return BgL_new1082z00_4255;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1584 */
	BgL_ev_hookz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3824, obj_t BgL_e1081z00_3825)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1213z00_4259;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1212z00_4260;

					BgL_new1212z00_4260 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1585z00_4261;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2347z00_4262;

							BgL_res2347z00_4262 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1585z00_4261 = BgL_res2347z00_4262;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1212z00_4260), BgL_arg1585z00_4261);
					}
					BgL_new1213z00_4259 = BgL_new1212z00_4260;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1213z00_4259))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1081z00_3825)),
					BUNSPEC);
				return BgL_new1213z00_4259;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1595 */
	obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3826,
		obj_t BgL_oz00_3827, obj_t BgL_vz00_3828)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3827)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3828)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1594 */
	BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3829, obj_t BgL_oz00_3830)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3830)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1564> */
	obj_t BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3831, obj_t BgL_new1079z00_3832)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_1334;

				{
					BgL_ev_prog2z00_bglt BgL_auxz00_5387;

					BgL_new1079z00_1334 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3832);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5388;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2721;

							BgL_classz00_2721 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1283z00_2722;

								BgL__ortest_1283z00_2722 = BGL_CLASS_NIL(BgL_classz00_2721);
								if (CBOOL(BgL__ortest_1283z00_2722))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5388 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2722);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5388 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2721));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1079z00_1334))->
								BgL_e1z00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5388), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5396;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2723;

							BgL_classz00_2723 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1283z00_2724;

								BgL__ortest_1283z00_2724 = BGL_CLASS_NIL(BgL_classz00_2723);
								if (CBOOL(BgL__ortest_1283z00_2724))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5396 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2724);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5396 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2723));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1079z00_1334))->
								BgL_e2z00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5396), BUNSPEC);
					}
					BgL_auxz00_5387 = BgL_new1079z00_1334;
					return ((obj_t) BgL_auxz00_5387);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1562 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3833)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1078z00_4271;

				BgL_new1078z00_4271 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1563z00_4272;

					{	/* Eval/evaluate_types.scm 70 */
						long BgL_res2346z00_4273;

						BgL_res2346z00_4273 =
							BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
						BgL_arg1563z00_4272 = BgL_res2346z00_4273;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_4271), BgL_arg1563z00_4272);
				}
				return BgL_new1078z00_4271;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1560 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3834, obj_t BgL_e11076z00_3835, obj_t BgL_e21077z00_3836)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1211z00_4276;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1210z00_4277;

					BgL_new1210z00_4277 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1561z00_4278;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2345z00_4279;

							BgL_res2345z00_4279 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1561z00_4278 = BgL_res2345z00_4279;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1210z00_4277), BgL_arg1561z00_4278);
					}
					BgL_new1211z00_4276 = BgL_new1210z00_4277;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1211z00_4276))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11076z00_3835)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1211z00_4276))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21077z00_3836)),
					BUNSPEC);
				return BgL_new1211z00_4276;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1577 */
	obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3837,
		obj_t BgL_oz00_3838, obj_t BgL_vz00_3839)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3838)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3839)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1576 */
	BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3840, obj_t BgL_oz00_3841)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3841)))->BgL_e2z00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1571 */
	obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t BgL_envz00_3842,
		obj_t BgL_oz00_3843, obj_t BgL_vz00_3844)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3843)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3844)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1570 */
	BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3845, obj_t BgL_oz00_3846)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3846)))->BgL_e1z00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1550> */
	obj_t BGl_z62zc3anonymousza31550ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3847, obj_t BgL_new1074z00_3848)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_1313;

				{
					BgL_ev_andz00_bglt BgL_auxz00_5428;

					BgL_new1074z00_1313 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3848);
					((((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt) BgL_new1074z00_1313)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5428 = BgL_new1074z00_1313;
					return ((obj_t) BgL_auxz00_5428);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1548 */
	BgL_ev_andz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3849)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1073z00_4287;

				BgL_new1073z00_4287 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1549z00_4288;

					{	/* Eval/evaluate_types.scm 69 */
						long BgL_res2344z00_4289;

						BgL_res2344z00_4289 =
							BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
						BgL_arg1549z00_4288 = BgL_res2344z00_4289;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1073z00_4287), BgL_arg1549z00_4288);
				}
				return BgL_new1073z00_4287;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1546 */
	BgL_ev_andz00_bglt BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3850, obj_t BgL_args1072z00_3851)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1209z00_4290;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1208z00_4291;

					BgL_new1208z00_4291 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1547z00_4292;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2343z00_4293;

							BgL_res2343z00_4293 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1547z00_4292 = BgL_res2343z00_4293;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1208z00_4291), BgL_arg1547z00_4292);
					}
					BgL_new1209z00_4290 = BgL_new1208z00_4291;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1209z00_4290)))->BgL_argsz00) =
					((obj_t) BgL_args1072z00_3851), BUNSPEC);
				return BgL_new1209z00_4290;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1539> */
	obj_t BGl_z62zc3anonymousza31539ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3852, obj_t BgL_new1070z00_3853)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_1293;

				{
					BgL_ev_orz00_bglt BgL_auxz00_5443;

					BgL_new1070z00_1293 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3853);
					((((BgL_ev_listz00_bglt) COBJECT(
									((BgL_ev_listz00_bglt) BgL_new1070z00_1293)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5443 = BgL_new1070z00_1293;
					return ((obj_t) BgL_auxz00_5443);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1537 */
	BgL_ev_orz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3854)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1069z00_4295;

				BgL_new1069z00_4295 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1538z00_4296;

					{	/* Eval/evaluate_types.scm 68 */
						long BgL_res2342z00_4297;

						BgL_res2342z00_4297 =
							BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
						BgL_arg1538z00_4296 = BgL_res2342z00_4297;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1069z00_4295), BgL_arg1538z00_4296);
				}
				return BgL_new1069z00_4295;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1533 */
	BgL_ev_orz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3855, obj_t BgL_args1068z00_3856)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1207z00_4298;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1206z00_4299;

					BgL_new1206z00_4299 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1536z00_4300;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2341z00_4301;

							BgL_res2341z00_4301 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1536z00_4300 = BgL_res2341z00_4301;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1206z00_4299), BgL_arg1536z00_4300);
					}
					BgL_new1207z00_4298 = BgL_new1206z00_4299;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1207z00_4298)))->BgL_argsz00) =
					((obj_t) BgL_args1068z00_3856), BUNSPEC);
				return BgL_new1207z00_4298;
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1520> */
	obj_t BGl_z62zc3anonymousza31520ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3857, obj_t BgL_new1066z00_3858)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_1263;

				{
					BgL_ev_listz00_bglt BgL_auxz00_5458;

					BgL_new1066z00_1263 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3858);
					((((BgL_ev_listz00_bglt) COBJECT(BgL_new1066z00_1263))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5458 = BgL_new1066z00_1263;
					return ((obj_t) BgL_auxz00_5458);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1517 */
	BgL_ev_listz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3859)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1065z00_4303;

				BgL_new1065z00_4303 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1519z00_4304;

					{	/* Eval/evaluate_types.scm 66 */
						long BgL_res2340z00_4305;

						BgL_res2340z00_4305 =
							BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
						BgL_arg1519z00_4304 = BgL_res2340z00_4305;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1065z00_4303), BgL_arg1519z00_4304);
				}
				return BgL_new1065z00_4303;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1514 */
	BgL_ev_listz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3860, obj_t BgL_args1064z00_3861)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1205z00_4306;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1204z00_4307;

					BgL_new1204z00_4307 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1516z00_4308;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2339z00_4309;

							BgL_res2339z00_4309 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1516z00_4308 = BgL_res2339z00_4309;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1204z00_4307), BgL_arg1516z00_4308);
					}
					BgL_new1205z00_4306 = BgL_new1204z00_4307;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1205z00_4306))->BgL_argsz00) =
					((obj_t) BgL_args1064z00_3861), BUNSPEC);
				return BgL_new1205z00_4306;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1525 */
	obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3862,
		obj_t BgL_oz00_3863, obj_t BgL_vz00_3864)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3863)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3864), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1524 */
	obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t BgL_envz00_3865,
		obj_t BgL_oz00_3866)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3866)))->BgL_argsz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1489> */
	obj_t BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3867, obj_t BgL_new1062z00_3868)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_1213;

				{
					BgL_ev_ifz00_bglt BgL_auxz00_5475;

					BgL_new1062z00_1213 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3868);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5476;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2660;

							BgL_classz00_2660 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1283z00_2661;

								BgL__ortest_1283z00_2661 = BGL_CLASS_NIL(BgL_classz00_2660);
								if (CBOOL(BgL__ortest_1283z00_2661))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5476 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2661);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5476 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2660));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1062z00_1213))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5476), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5484;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2662;

							BgL_classz00_2662 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1283z00_2663;

								BgL__ortest_1283z00_2663 = BGL_CLASS_NIL(BgL_classz00_2662);
								if (CBOOL(BgL__ortest_1283z00_2663))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5484 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2663);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5484 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2662));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1062z00_1213))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5484), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5492;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2664;

							BgL_classz00_2664 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1283z00_2665;

								BgL__ortest_1283z00_2665 = BGL_CLASS_NIL(BgL_classz00_2664);
								if (CBOOL(BgL__ortest_1283z00_2665))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5492 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1283z00_2665);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5492 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2664));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1062z00_1213))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5492), BUNSPEC);
					}
					BgL_auxz00_5475 = BgL_new1062z00_1213;
					return ((obj_t) BgL_auxz00_5475);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1487 */
	BgL_ev_ifz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3869)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1061z00_4319;

				BgL_new1061z00_4319 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1488z00_4320;

					{	/* Eval/evaluate_types.scm 62 */
						long BgL_res2338z00_4321;

						BgL_res2338z00_4321 =
							BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
						BgL_arg1488z00_4320 = BgL_res2338z00_4321;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1061z00_4319), BgL_arg1488z00_4320);
				}
				return BgL_new1061z00_4319;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1485 */
	BgL_ev_ifz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3870, obj_t BgL_p1058z00_3871, obj_t BgL_t1059z00_3872,
		obj_t BgL_e1060z00_3873)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1203z00_4325;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1202z00_4326;

					BgL_new1202z00_4326 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1486z00_4327;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2337z00_4328;

							BgL_res2337z00_4328 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1486z00_4327 = BgL_res2337z00_4328;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1202z00_4326), BgL_arg1486z00_4327);
					}
					BgL_new1203z00_4325 = BgL_new1202z00_4326;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4325))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1058z00_3871)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4325))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1059z00_3872)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4325))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1060z00_3873)),
					BUNSPEC);
				return BgL_new1203z00_4325;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1506 */
	obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3874,
		obj_t BgL_oz00_3875, obj_t BgL_vz00_3876)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3875)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3876)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1505 */
	BgL_ev_exprz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3877, obj_t BgL_oz00_3878)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3878)))->BgL_ez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1500 */
	obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t BgL_envz00_3879,
		obj_t BgL_oz00_3880, obj_t BgL_vz00_3881)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3880)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3881)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1499 */
	BgL_ev_exprz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3882, obj_t BgL_oz00_3883)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3883)))->BgL_tz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1495 */
	obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t BgL_envz00_3884,
		obj_t BgL_oz00_3885, obj_t BgL_vz00_3886)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3885)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3886)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1494 */
	BgL_ev_exprz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3887, obj_t BgL_oz00_3888)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3888)))->BgL_pz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1473> */
	obj_t BGl_z62zc3anonymousza31473ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3889, obj_t BgL_new1056z00_3890)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_1181;

				{
					BgL_ev_littz00_bglt BgL_auxz00_5531;

					BgL_new1056z00_1181 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3890);
					((((BgL_ev_littz00_bglt) COBJECT(BgL_new1056z00_1181))->
							BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5531 = BgL_new1056z00_1181;
					return ((obj_t) BgL_auxz00_5531);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1470 */
	BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3891)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1055z00_4339;

				BgL_new1055z00_4339 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1472z00_4340;

					{	/* Eval/evaluate_types.scm 60 */
						long BgL_res2336z00_4341;

						BgL_res2336z00_4341 =
							BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
						BgL_arg1472z00_4340 = BgL_res2336z00_4341;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1055z00_4339), BgL_arg1472z00_4340);
				}
				return BgL_new1055z00_4339;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1468 */
	BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3892, obj_t BgL_value1054z00_3893)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1201z00_4342;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1200z00_4343;

					BgL_new1200z00_4343 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1469z00_4344;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2335z00_4345;

							BgL_res2335z00_4345 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1469z00_4344 = BgL_res2335z00_4345;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1200z00_4343), BgL_arg1469z00_4344);
					}
					BgL_new1201z00_4342 = BgL_new1200z00_4343;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1201z00_4342))->BgL_valuez00) =
					((obj_t) BgL_value1054z00_3893), BUNSPEC);
				return BgL_new1201z00_4342;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1479 */
	obj_t BGl_z62lambda1479z62zz__evaluate_typesz00(obj_t BgL_envz00_3894,
		obj_t BgL_oz00_3895, obj_t BgL_vz00_3896)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3895)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3896), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1478 */
	obj_t BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t BgL_envz00_3897,
		obj_t BgL_oz00_3898)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3898)))->BgL_valuez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1444> */
	obj_t BGl_z62zc3anonymousza31444ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3899, obj_t BgL_new1052z00_3900)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_1131;

				{
					BgL_ev_globalz00_bglt BgL_auxz00_5548;

					BgL_new1052z00_1131 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3900);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1052z00_1131))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1052z00_1131))->
							BgL_namez00) =
						((obj_t) BGl_symbol2758z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1052z00_1131))->
							BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5548 = BgL_new1052z00_1131;
					return ((obj_t) BgL_auxz00_5548);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1442 */
	BgL_ev_globalz00_bglt BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3901)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1051z00_4349;

				BgL_new1051z00_4349 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1443z00_4350;

					{	/* Eval/evaluate_types.scm 55 */
						long BgL_res2334z00_4351;

						BgL_res2334z00_4351 =
							BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
						BgL_arg1443z00_4350 = BgL_res2334z00_4351;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1051z00_4349), BgL_arg1443z00_4350);
				}
				return BgL_new1051z00_4349;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1440 */
	BgL_ev_globalz00_bglt BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3902, obj_t BgL_loc1048z00_3903, obj_t BgL_name1049z00_3904,
		obj_t BgL_mod1050z00_3905)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1199z00_4353;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1198z00_4354;

					BgL_new1198z00_4354 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1441z00_4355;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2333z00_4356;

							BgL_res2333z00_4356 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1441z00_4355 = BgL_res2333z00_4356;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1198z00_4354), BgL_arg1441z00_4355);
					}
					BgL_new1199z00_4353 = BgL_new1198z00_4354;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4353))->BgL_locz00) =
					((obj_t) BgL_loc1048z00_3903), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4353))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1049z00_3904)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4353))->BgL_modz00) =
					((obj_t) BgL_mod1050z00_3905), BUNSPEC);
				return BgL_new1199z00_4353;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1461 */
	obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3906,
		obj_t BgL_oz00_3907, obj_t BgL_vz00_3908)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3907)))->BgL_modz00) =
				((obj_t) BgL_vz00_3908), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1460 */
	obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3909,
		obj_t BgL_oz00_3910)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3910)))->BgL_modz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1456 */
	obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3911,
		obj_t BgL_oz00_3912, obj_t BgL_vz00_3913)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3912)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3913)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1455 */
	obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3914,
		obj_t BgL_oz00_3915)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3915)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1450 */
	obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t BgL_envz00_3916,
		obj_t BgL_oz00_3917, obj_t BgL_vz00_3918)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3917)))->BgL_locz00) =
				((obj_t) BgL_vz00_3918), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1449 */
	obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3919,
		obj_t BgL_oz00_3920)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3920)))->BgL_locz00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1412> */
	obj_t BGl_z62zc3anonymousza31412ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3921, obj_t BgL_new1046z00_3922)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_1076;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5579;

					BgL_new1046z00_1076 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3922);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1046z00_1076))->BgL_namez00) =
						((obj_t) BGl_symbol2758z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1046z00_1076))->BgL_effz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_varz00_bglt) COBJECT(BgL_new1046z00_1076))->BgL_typez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5579 = BgL_new1046z00_1076;
					return ((obj_t) BgL_auxz00_5579);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1410 */
	BgL_ev_varz00_bglt BGl_z62lambda1410z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3923)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1045z00_4365;

				BgL_new1045z00_4365 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1411z00_4366;

					{	/* Eval/evaluate_types.scm 51 */
						long BgL_res2332z00_4367;

						BgL_res2332z00_4367 =
							BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
						BgL_arg1411z00_4366 = BgL_res2332z00_4367;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1045z00_4365), BgL_arg1411z00_4366);
				}
				return BgL_new1045z00_4365;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1408 */
	BgL_ev_varz00_bglt BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3924, obj_t BgL_name1042z00_3925, obj_t BgL_eff1043z00_3926,
		obj_t BgL_type1044z00_3927)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1197z00_4369;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1196z00_4370;

					BgL_new1196z00_4370 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1409z00_4371;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2331z00_4372;

							BgL_res2331z00_4372 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1409z00_4371 = BgL_res2331z00_4372;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1196z00_4370), BgL_arg1409z00_4371);
					}
					BgL_new1197z00_4369 = BgL_new1196z00_4370;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4369))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1042z00_3925)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4369))->BgL_effz00) =
					((obj_t) BgL_eff1043z00_3926), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4369))->BgL_typez00) =
					((obj_t) BgL_type1044z00_3927), BUNSPEC);
				return BgL_new1197z00_4369;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1432 */
	obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3928,
		obj_t BgL_oz00_3929, obj_t BgL_vz00_3930)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3929)))->BgL_typez00) =
				((obj_t) BgL_vz00_3930), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1431 */
	obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t BgL_envz00_3931,
		obj_t BgL_oz00_3932)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3932)))->BgL_typez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1427> */
	obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3933)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
		BGL_FUNCTION_END;
	}



/* &lambda1426 */
	obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t BgL_envz00_3934,
		obj_t BgL_oz00_3935, obj_t BgL_vz00_3936)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3935)))->BgL_effz00) =
				((obj_t) BgL_vz00_3936), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1425 */
	obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3937,
		obj_t BgL_oz00_3938)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3938)))->BgL_effz00);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1418 */
	obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t BgL_envz00_3939,
		obj_t BgL_oz00_3940, obj_t BgL_vz00_3941)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3940)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3941)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &lambda1417 */
	obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t BgL_envz00_3942,
		obj_t BgL_oz00_3943)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3943)))->BgL_namez00);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1402> */
	obj_t BGl_z62zc3anonymousza31402ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3944, obj_t BgL_new1040z00_3945)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{
				BgL_ev_exprz00_bglt BgL_new1040z00_1054;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5611;

					BgL_new1040z00_1054 = ((BgL_ev_exprz00_bglt) BgL_new1040z00_3945);
					BgL_auxz00_5611 = BgL_new1040z00_1054;
					return ((obj_t) BgL_auxz00_5611);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1400 */
	BgL_ev_exprz00_bglt BGl_z62lambda1400z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3946)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1039z00_4381;

				BgL_new1039z00_4381 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1401z00_4382;

					{	/* Eval/evaluate_types.scm 49 */
						long BgL_res2330z00_4383;

						BgL_res2330z00_4383 =
							BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
						BgL_arg1401z00_4382 = BgL_res2330z00_4383;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1039z00_4381), BgL_arg1401z00_4382);
				}
				return BgL_new1039z00_4381;
			}
		}
		BGL_FUNCTION_END;
	}



/* &lambda1398 */
	BgL_ev_exprz00_bglt BGl_z62lambda1398z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3947)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1195z00_4384;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1194z00_4385;

					BgL_new1194z00_4385 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1399z00_4386;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2329z00_4387;

							BgL_res2329z00_4387 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1399z00_4386 = BgL_res2329z00_4387;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1194z00_4385), BgL_arg1399z00_4386);
					}
					BgL_new1195z00_4384 = BgL_new1194z00_4385;
				}
				return BgL_new1195z00_4384;
			}
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117125),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564244),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					338601822),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262938),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -298277921),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089688),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 80758625),
				BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					86988580), BSTRING_TO_STRING(BGl_string2435z00zz__evaluate_typesz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
